commit 4c838a40db929800e224c35b042d73d24266fbd0
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Fri May 8 19:59:46 2009 +0200

    Revert the session code.
    
    Rationale:
    Claes ran successfully pekwm under gnome without the session management code.
    The session code didn't actually load/save the session and therefore it is
    removed for 0.1.11. Should it cause any regressions under gnome I'll re-add it.

commit e61768094f5ac329ed1341015afab16c11d96902
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Fri May 8 17:19:51 2009 +0200

    Add missing #ifdef to make --disable-session compile.

commit d431299511ea4a2dbbc2238d1fc7dfda99494068
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Thu May 7 23:45:02 2009 +0200

    Remove unused _fd member from PScreen.

commit cf2659d7048fd1a14e47787d7b8286c0f714f516
Author: Claes Nästén <me@pekdon.net>
Date:   Thu May 7 22:30:11 2009 +0200

    A not so beautiful patch for making session shutdown work ok.
    
    With this logging out from Gnome also shuts down pekwm successfully, and
    it's possible to start it by setting the window manager gconf value.
    
    In the future file descriptors probably should be possible to match with
    event handlers or similar to simplify this logic.

commit 71ab91eeb2d56f7e2f2732b57c53ae7c0ec0911a
Author: Claes Nästén <me@pekdon.net>
Date:   Fri May 1 20:14:32 2009 +0200

    Ops, did not include the scripts directory when fixing for BSD make.

commit 38f050fe74136ca570acda9812f3d7fc9452c996
Author: Claes Nästén <me@pekdon.net>
Date:   Fri May 1 10:26:43 2009 +0200

    make Makefile less BSD hostile, seems to work with OpenBSD make now.

commit 9f3e133cbc28a62c978891e3d533a1d96200733f
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Apr 29 09:06:42 2009 +0200

    Add PKG_CONFIG macros, OpenBSD does not include this.
    
    OpenBSD does not include the pkg config macros, just a perl reimplementation
    of pkg-config. Add this to make autoconf play.

commit 0e1077a366ec99fff9b45d758a3f3a432e013517
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Apr 26 22:27:37 2009 +0200

    Make default keybindgs handle multi-row workspace layouts.
    
    Navigating vertically has not been supported with the default keybindings,
    changed the up/down to with shift modifier. Also increased the default
    workspace count to 9.

commit 6349e8b1743081b957ad3a20720a45ee9ef14eb3
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Apr 26 22:18:30 2009 +0200

    Remove log file from repository, should not be there.

commit c5aa19853cd3de1cd3a1588839dd07762b07901e
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Apr 26 22:15:57 2009 +0200

    Add Nvidia FAQ entry and update mkdocs.sh with settings for Fedora.
    
    One of the worst FAQ entries ever, hopefully it is informative enough. Also,
    made sure the docs are building on Fedora 11.

commit 755f5b0a4bdaf6f619c21c9bbf261280cd2f8032
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Apr 26 20:23:38 2009 +0200

    strtold doesn't exist on OpenBSD, use strtod instead.

commit ead1a87154370ef8e798518545cb5b5d443f83d7
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Apr 25 00:13:25 2009 +0200

    Fix spelling of image in the theme documentation reported by markand.

commit 44c17cd32cb3f0fa5c5c41d6735a4dca21477ca3
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Apr 22 21:55:16 2009 +0200

    Add --replace option to the man page.

commit 6c8214b1306b92bbaf73ed3f36a7dc1c85f9dd36
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Tue Apr 21 12:39:18 2009 +0200

    Change some of the casts to use static_cast.

commit c3058ddc13a5b5901b7e7d4cd908dc7768edab03
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Mon Apr 20 23:56:44 2009 +0200

    Reload the key-bindings when an input device changes (#173).
    Reported and fixed by Wallex.

commit b2da3b96854856c29b661739a540d90bc9dbacf9
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Mon Apr 20 23:25:56 2009 +0200

    Add config option to disable support for aspect ratio.

commit 0ed3b0a0bbe3f6b77f797f92252164c2c5069f90
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Mon Apr 20 23:17:04 2009 +0200

    Add support for XSizeHints' PAspect (aspect ratio of windows, see #171).

commit cb1533f6adadc1c845bba3b0bd8be59018c9348c
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Apr 20 23:11:33 2009 +0200

    Move error handler to PScreen and make it possible to replace current wm.
    
    Now pekwm is able to replace metacity in recent gnome releases and take over
    as the window manager, it still doesn't know how to give the session up when
    exiting though.

commit 11ce948c8dd725ac6ef01ed4cd4e88ff36447d48
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Mon Apr 20 00:49:35 2009 +0200

    Change the default theme to use a smaller title bar (created by Adriano).

commit ceab99812c016e01fd63b44576d7a5c9d0482e9c
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Sat Apr 18 23:04:03 2009 +0200

    Fix the test in AM_CONDITIONAL([HAVE_SESSION], ..).

commit 3c0d8e9dd414dbc6373d306bc47ab21a63283dd7
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Apr 14 19:23:49 2009 +0200

    Make session support a compile time option.
    
    It is now possible, per io-error's request, to disable session support when
    compiling pekwm.

commit e5ac974192f2cea31755758f59e72de2d7bc4a3a
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Apr 14 19:07:54 2009 +0200

    Alpha blending for different color depths, 15 and 16.

commit ad0e50a080c3e6033c3b600d14c075e7d93ea5f9
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Apr 14 18:22:38 2009 +0200

    Fix invalid keys from causing BadAccess errors, and make Any work again.
    
    After fix for #142 Any did not work anymore as the key section identifying
    Any was never reached.

commit d1aebc00406af0a3508f8bccaaa496765434a343
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Apr 13 19:44:29 2009 +0200

    Inline instead of static, make the compiler much happier.

commit 300d481eadc1a4475ef8f1f45110f6441d245b7f
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Apr 13 19:43:30 2009 +0200

    Move selection of root window input to RootWO.
    
    I think it makes more sense having as much as possible of the root window
    handling in RootWO and not in WindowManager which includes way to much stuff.

commit b81e0e03004690a662d340609a2b8126c6866068
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Sun Apr 12 23:04:20 2009 +0200

    Move the body of Util::to_upper and Util::to_lower to the header file.

commit 5c28eae032ac1bb4a1e178aafa46ec65708e388c
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Sun Apr 12 22:47:58 2009 +0200

    Change Config::parseKey() to use the to_lower/to_upper functions from Util.

commit 4acd0cf46f5e04705463d1a3398a1bd40ce16754
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Sun Apr 12 15:27:15 2009 +0200

    Change the keys configuration file to use "Prior" instead of "Prev".

commit a2bd7da32898baab1c1f646def98fad62eb1d8e0
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Sun Apr 12 15:02:19 2009 +0200

    When parsing a key-string try different upper-/lowercase combinations (#142).

commit 14d6e363a5d142e8cb93266a5e6db4e5cdeea879
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Sat Mar 14 22:33:56 2009 +0100

    Commit a experimental fix for #166. Please report if it breaks anything.
    
    The removed if-clause caused unfocusable windows to be ignored and
    thereby being put below windows of a lower layer.

commit 7c2fc41442c5e0a6a5a67e83d00ad5cfbf8e4812
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Sun Apr 5 18:58:46 2009 +0200

    Fix a typo in the documentation that was reported by Rikard Lindsröm.

commit 51cb6f37f80c00704afd0273657b81ed26b454b4
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Apr 4 21:53:07 2009 +0200

    More on session handling, cleans up a bit of the WindowManager destructor.
    
    This code is not yet working as it should, but it at least a start.

commit e4f5c6ee880795be1254ecae550b96d8473d9d95
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Apr 4 14:08:09 2009 +0200

    Add start of session handling, just adding the non interfering.
    
    Start adding session handling code, not very functional, tested or working
    but a first step.

commit 1c05fbd5116be94b872171b1835ad78c574ead5a
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Mar 11 06:53:04 2009 +0100

    Add string, manager and wm_class hints.

commit c3cb8c679611d46f339935d0309179804f50cb54
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Mar 11 06:50:42 2009 +0100

    Get username added to utility functions, to be used in session.

commit 857326ff4bbfbab621c809cc28f4c3385d09bad1
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Mar 10 23:04:33 2009 +0100

    Make desktop and dock not focusable.
    
    To make pekwm behave better with gnome-panel and nautilus in sloppy focus
    mode, do not allow them to focus. Interaction is done with mouse anyway.

commit d272889f689f8ff4ab2e1ab24124f69c8e0ec77e
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Mon Mar 9 20:37:16 2009 +0100

    Fix Harbour::restack() to re-add its _strut if windows shouldn't maximise
    over the harbour (#156).

commit aa3be5a350cea1c810ab00faca2151b3af21059c
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Feb 19 22:56:28 2009 +0100

    Compile fixes for GCC on OpenSolaris 2008.11
    
    It seems as if GCC complained more than CC under OpenSolaris with default
    compiler flags. While at it I updated the autogen.sh script to look for
    version 1.10 and not 1.9 of automake.

commit c72ea308376c26ba7251bd041a7427688b82a7f0
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Mon Feb 16 16:28:39 2009 +0100

    Fix the spelling of the space binding (#142).

commit 4e1890eee7d4ffca7912c7feed3fe27a5377f723
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Tue Feb 10 16:20:47 2009 +0100

    Update the copyright notes.

commit 2777ec6b59fbd78c290fc72d6208293499f6876d
Author: Daniel Moerner <dmoerner@gmail.com>
Date:   Fri Jan 30 14:53:53 2009 -0800

    Make .pekwm/themes dir on first run
    
    This patch makes a ~/.pekwm/themes directory if it doesn't already exist when
    pekwm is run, mimicking the behavior of other config files in ~/.pekwm. This
    is useful to prevent an ugly "No such directory $HOME/.pekwm/themes" when using
    the default menu in a fresh installation of pekwm.

commit 3d048ad5f41664a7888080570a2d8ec9a538eca5
Author: Daniel Moerner <dmoerner@gmail.com>
Date:   Fri Jan 30 01:26:54 2009 +0100

    Properly handle empty theme directories in menu script
    
    This patch fixes two bugs: First, any arbitrary file in the theme directory
    will no longer be treated as a theme--only directories will be listed. Second,
    if the directory is empty and '*' is therefore passed as the theme_name, '*'
    will not be added to the theme list. Since we use sh and not bash, nullglob is
    not an option so a test must be used.

commit 0f4e7059031b3ecea83ec64ea64afeab81c01398
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Thu Jan 29 14:13:10 2009 +0100

    Set version back to GIT.

commit a677a4b62528531754f1541634df45464bf28b98
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Jan 26 18:13:49 2009 +0100

    Update to use templates fully, seems to be working ok now.

commit fd54d2775b78874b6bdad98a3912af62dda5238e
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Jan 26 16:22:27 2009 +0100

    Fix font and change indentation.

commit fb1eca1dc601c09fbe6d6705f03a5765ed15c46e
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Jan 26 15:10:31 2009 +0100

    Final changes to ChangeLog
commit 720fefb20032ff2eade947d73744b6f90546342c
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Jan 26 15:08:51 2009 +0100

    Fix destdir for default-plain file.

commit 9eb00b48ddf37b59a9e54f6c5252f5209f277687
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jan 25 20:44:26 2009 +0100

    Update ChangeLog and set version to 0.1.10

commit 41dbd72f529f79e9f809d0951ddea6e86970fc60
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Sun Jan 25 14:44:31 2009 +0100

    No change to the code, just some typos fixed.

commit fbe63b8871d1e689adb15a6641c1d147c72fd3a1
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jan 25 18:42:07 2009 +0100

    Ops, || is not the same as &&
    
    The mouse configuration would not load if pekwm was not installed (system
    configuration files) was not installed and the system config would always
    be the "master" with this setup.

commit 0f6cecf09129cc83b2fcc14f63abbc8b23d71c65
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jan 25 13:43:01 2009 +0100

    Check included files when doing re-load.
    
    This will resolve issues with chaning ~/.pekwm/vars, doing a reload and nothing
    happens as the main configuration file had not changed.
    
    This patch does not cover graphics loaded, but I think the imagehandler should
    take care about that.

commit c32b7923350c36288f985504f3ca0b963882a15b
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jan 25 11:27:31 2009 +0100

    Fix placement issue after the search dialog has been used.
    
    The PMenu showing results in the search dialog was included when placing
    windows causing windows being placed with an offset after the search dialog
    had been used.

commit fe1b3c7501a671a7bc9db97e7c55d24485c47fc5
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Jan 24 13:21:28 2009 +0100

    Improve documentation generation to add actual warning messages.
    
    Documentation generation gives more helpful error messages now and does not
    hard-code platform dependant files in the XML anymore.
    
    Under NetBSD the following packages are required:
    
    * opensp
    * docbook-xml
    * dsssl-docbook-modular
    * perl
    
    And optionally:
    
    * tidy (nicer html)
    * tex-jadetex (pdf generation)
    * zip (zip files)

commit 6a22affa43c10e50b5b9d510d1bd8efb9aead425
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Jan 24 12:29:19 2009 +0100

    Limit pointer warping to screen edge size + 2 instead of * 2.

commit 31567e442925cf93c4e985cf6202952a7edf98fb
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Jan 24 12:29:02 2009 +0100

    Avoid compile warnings, float to unsigned int casting.

commit 8a6b7e47648d368eca46e25a211dc6b997823cb6
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Jan 24 12:25:12 2009 +0100

    Add include_empty parameter to splitString, default to false.
    
    When using separators such as space and tab when splitting strings it is not
    inituitive to include empty tokens (having two spaces after each other).
    However, using ; as a separator ;; should include an empty token.

commit c511b0412cc0434ef8d4f3bc8c4e7ea03e179520
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Mon Jan 19 22:59:39 2009 +0100

    Updated documentation for mailing lists.

commit cfe4fc43e6001337b6068726ed548e34759ba798
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Jan 8 21:54:25 2009 +0100

    Add autoconf dependencies to acinclude.m4

commit 2a637dfae019e57e70499af3300dbed4f226ac15
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Jan 8 21:26:51 2009 +0100

    Make pekwm_themeset.sh much faster avoiding a lot of forks.

commit e01ba5a1cc3c5185b3d0a8a5320413998f1da85e
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Wed Jan 7 21:49:30 2009 +0100

    A few cosmetic changes (indentation, spelling).

commit a3925ad28d39f1af6fc1bb3bc33d0cfda94125af
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Wed Jan 7 21:42:09 2009 +0100

    Bugfix for #131 ("Search dialog stops focusing selected client").

commit 7ddf51d751bedad65fa480cee2d74aa7c1b2b5f8
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jan 4 21:34:29 2009 +0100

    Add new default theme, enabled only if png support is available.

commit 316bb4ef3afe15071d40699d6f52c6ab2e455b94
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jan 4 21:06:39 2009 +0100

    Rename PImageNative* to PImage*, there is no other type of image.

commit 2c2c0ec4579d7df939a55b77a33275c81e8e974d
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jan 4 12:46:03 2009 +0100

    Fix potential crash bug (mis-placed error output) and make icons use alpha.

commit 9ed2b874128d295f5f33a73956ea91eb9abf3ab2
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Jan 3 22:13:19 2009 +0100

    Ops, missing ~ and state modifiers was not stripped.
    
    This seems to be fixing #129, was missing a ~ in the stripping of state
    modifiers and when that function being ok and called in the handlers
    things seemt to be ok.

commit 21bace12530b448e06a59b2aeb99b24c34d07838
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Jan 3 02:27:00 2009 +0100

    Start on rendering transperent images correctly, works ok in the menu.

commit e49065442e5a990ca60e66165194b6aa778e923c
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Jan 3 02:25:40 2009 +0100

    Introduced use_alpha to complement has_alpha.
    
    In order to avoid rendering with alpha composition even if the image is
    100% solid use_alpha was introduced which is true if there are
    transparenet pixels in a image.

commit 5afda71035954d271ffd5ab8db4ba64a5dd572fc
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Dec 27 11:36:51 2008 +0100

    Fallback to XParseColor in xpm loading to support more than #ffffff formats.

commit d032b5dd8cb05ba2d90fba3b6a645a79dae9ddd1
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Dec 22 19:03:50 2008 +0100

    Final fixes before 0.1.9a

commit c2057b53d565674f45d8fd5058e1801052cdd81a
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Dec 22 15:46:47 2008 +0100

    Fix crash issue end of list item not detected.

commit b48fdd3c9dffbecc5e03e6a0ec5709d6b1cff60d
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Sun Dec 21 22:18:50 2008 +0100

    Fix the bug that a lower-action produces a raise-action.

commit 8019bbc60a011da24edde40910cbcfffefcdd2cb
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Dec 21 14:44:34 2008 +0100

    Update ChangeLog before release.

commit 84611e4ec1ac7b79d84ad3bb85cc695907f5a821
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Dec 21 14:30:54 2008 +0100

    Update configuration files for 0.1.9

commit e0c39871446a1ac31d6f1a933c6e75786809ff01
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Dec 21 14:16:30 2008 +0100

    Add link in README and update menu mouse events names.

commit 16ad93bfdf56f9bf2d6eb2556f80615ab82365dd
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Dec 21 14:14:52 2008 +0100

    Fix #119, make sure dock app gets placed on the screen edge after resize.

commit 47014c960e33f9bda71b2d469932148570b32217
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Dec 21 14:02:43 2008 +0100

    Update documentation, missing updates since 0.1.8.

commit 6bc1e56860f253f70c8761515f25a191b7aceea5
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Dec 21 14:01:17 2008 +0100

    Update default configuration file, introduce new features.

commit 5ce58a637bc158327ddd6a019194bfe9f83f9850
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Dec 21 12:45:18 2008 +0100

    Re-work client restacking, select first element in search dialog.
    
    Now stacking seems to be working ok both with and without harbour
    enabled. SearchDialog also renders the first item as selected when it is
    mapped.

commit a3b40e241064c142a6030710af3fe2e4aab9cb75
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Dec 20 18:43:10 2008 +0100

    Filter out non-focusable and skip focus toggle windows in SearchDialog.

commit ca32fe2f28eafd534a7d154e994e76033ea65f37
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Dec 20 18:27:49 2008 +0100

    Make icon size limitations actually work.

commit 0f779deaaa51d70daae6e31300ef00401d74c786
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Thu Dec 18 00:26:31 2008 +0100

    Set new default window type properties.

commit a6eed5eaf8a847b1c31805dedb1ead23dcbf2c56
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Thu Dec 18 00:21:21 2008 +0100

    Bugfix for incorrectly set default window type properties.

commit f9693c92c700c00ee0aa387d6c015399b502feba
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Thu Dec 18 00:19:48 2008 +0100

    Small indentation and spelling fix.

commit cd0ae893dd8ae6af7a075d2bfaff7d8ceaafa9f3
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Dec 17 22:31:16 2008 +0100

    Start on new limit on menu icon sizes.
    
    To have per-menu (class) icon size restrictions KoFish suggested
    to have a syntax like
    
     Menu {
       Icons = "ROOT" {
         Minimum = "32x32"
         Maximum = "64x64"
       }
     }
    
    Not tested, most likely not working.

commit d8c77975f990b877a31f905bb2bd472ded82aaef
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Dec 17 19:35:52 2008 +0100

    Make templates available in autoproperties only with require syntax.
    
    In order to support having templates overwriting in autoproperties file
    a Require section was added just as in the theme file. To enable
    templates overwriting add this to your autoproperties file:
    
     Require {
       Templates = "True"
     }
    
    To support defining title and role in the matching enabling templates
    also enables an extended autoproperties syntax.
    
    Example:
    
     Property = "name,class,role,title,apply on" {
       Sticky = "True"
     }
    
    Enjoy!

commit 26466f1a8401607e5cdb741e23200405383c1682
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Dec 17 19:35:07 2008 +0100

    Bug fix in split string, it previously skipped empty elements.

commit 156cd1b36ea817c6036836c9736592ed4b391084
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Dec 17 18:38:55 2008 +0100

    Only strip button modifiers in stripButtonModifiers.

commit 760f90c42ac7bf55c4600f979285b54f7c0e65db
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Dec 16 09:42:56 2008 +0100

    Tidying menu creation, code style changes.

commit 496ec5ea9728313614ef858f0ac2efca5e549a01
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Dec 16 09:42:38 2008 +0100

    Remember position before completion on completion and restore on abort.

commit e594c54131c6a75c71f3f7e0b93efbc5ee392c14
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Dec 15 20:43:16 2008 +0100

    Initial commit on tab completion for the command dialog.
    
    This is case sensitive and currently only does path completions,
    however it is a start.

commit 8da517445d48c5af0419104f03f71da3c99a99d7
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Fri Dec 12 11:45:32 2008 +0100

    Fix the check for already loaded colors in FontHandler::getColor(.).

commit 92cc32c8f4fd7d8aad57c5580c142ed65c07f22c
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Fri Dec 12 11:44:06 2008 +0100

    Remove _free_on_return_{font,color} from FontHandler and related functions.
    
    returnColor() and returnFont() will now free the resources when no reference
    is hold anymore.

commit 6bd1c36ef58f26418a84aba2c85629ad61a657ac
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Fri Dec 12 11:38:40 2008 +0100

    Remove functions from FontHandler that are never used.

commit 9b16978e5b8fde4f9cd3b7fb005583a4396ab82c
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Fri Dec 12 11:35:45 2008 +0100

    Consolidate the different classes and enums for the atoms.

commit 71f650ab7c43a1351dff14b7e2ef0e71a8d5c7b5
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Dec 8 18:56:34 2008 +0100

    Make use of gotoClient in ActionHandler to active found client.

commit 2aef5ee05f4eaec136a21d94f31e1aee55ad2e8f
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Dec 8 18:38:47 2008 +0100

    Ah, menu was cleared all the time. Now fixed and search dialog working ok.
    
    New action ShowSearchDialog seems to be working ok now, doing something
    nice when the menu grows too big etc is not yet implemented. Not sure
    what a sane strategy would be.

commit af18fad44248cd495c2037b8dd1a200e9bc822fe
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Dec 8 18:31:00 2008 +0100

    Cleanups in re-building menu code to support fixed with menus better.

commit a43748d9b9f7efbf6ac58ab9d737edfaecc548e1
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Dec 8 18:28:00 2008 +0100

    Work on SearchDialog, results are found and displayed. Issues with next/prev.
    
    Now most basic issues that was around seems to have been resolved, still
    it is not possible to select previous/next item with the arrow keys.
    Seems to be an PMenu issue?

commit 3ea3f4996a489036187c3d6cdc571b78b2f21ac2
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Dec 7 22:20:46 2008 +0100

    Add new sub folder to build system, where are all the files?

commit adf17946458f665577ca740c57efc1c1b6afdda6
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Dec 7 22:06:28 2008 +0100

    Add scripts by Matt Hayes to contrib folder, autoprops and config menu.
    
    These scripts are also available at http://nxc.ath.cx/lobo/filez/pekwm/
    and requires perl and thus is not part of the main distribution.
    
    Closing #64 to export autoprops.

commit 8c3e239c4d07eb205ba0ea0525f9e8a319f7068f
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Sun Dec 7 18:59:54 2008 +0100

    Remove PMenu::Item::_dynamic.

commit 486fe28b9e6c19ce8d778bf3c864efbb17229f75
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Sun Dec 7 18:56:06 2008 +0100

    Fixing the still broken dynamic menus (#75).

commit f18d7ba1f50495d5ccb45c2e0f360c8a093db1d7
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Sun Dec 7 18:54:29 2008 +0100

    Bugfix: Windowmanager must not delete _harbour after freeing _root_wo.

commit 7c305fb24131f314a2919c9bb6034b0369722cae
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Sun Dec 7 18:53:30 2008 +0100

    Bugfix: SearchDialog missed a destructor to free its _result_menu.

commit af88e4d29e14e852f438a4d4a3ff2fd0a3793d64
Author: Andreas Schlick <ioerror@lavabit.com>
Date:   Sun Dec 7 18:51:02 2008 +0100

    Bugfix: Add missing initialising of CfgParser::_is_dynamic_content.

commit 28c07f7dfa750bd6a4022c83345949c484eb340e
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Dec 7 18:24:06 2008 +0100

    Do not add space for icons when there's no icon in the menu.

commit 4ab86d2c6be0e3b2cfcc7a33e09ae7058f0b3953
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Dec 7 18:23:41 2008 +0100

    Ops, issues with button press/release handling. Hopefully ok now.

commit b780a1ac2029d1fd1b2bd729346631a031f304e6
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Dec 6 14:05:44 2008 +0100

    More fixing for menu click menu selections, now works. Closing #13

commit 471f5e8113a353b9f68a50e2d68ecd35618383ca
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Dec 5 21:10:42 2008 +0100

    Make it possible to select menu entries while holding mouse button.
    
    The start of nicer menu handling, not 100% there yet considering closing
    the menu and maybe interference with other actions.

commit b2a09684531885540869a075d9b87a50d9ca9192
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Dec 5 19:58:39 2008 +0100

    Add regular expression syntax, a general formatting cleanup is required.

commit 92b25c48b318800c0b234b722133f85dbc4c07b7
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Dec 5 19:30:10 2008 +0100

    Fix #104, make sure pointer is released on is the same as pressed.

commit d5f010f8204bb7293bb4690d710128810d077569
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Dec 4 21:56:06 2008 +0100

    Include first 9 workspaces in goto/send-to actions.

commit b68d07a0f12ee7c941097c722e77e6c0070c8e84
Merge: 014fac9... 241eef9...
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Dec 4 21:52:26 2008 +0100

    Merge branch 'searchdialog'
    
    Conflicts:
    
    	src/CmdDialog.cc
    	src/Frame.cc
    	src/PWinObj.hh
    	src/WindowManager.cc

commit 241eef99dee8ed2142c4a95d183704f70a109b12
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Dec 4 21:43:03 2008 +0100

    Where did these changes go, I'm not playing nice here it seems.

commit f42c5cd376aea67ef4f5bb5eba90b387be5a0787
Merge: 433fb98... 4de33c1...
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Dec 4 21:24:58 2008 +0100

    Merge branch 'searchdialog' of
    ssh://me@pekdon.net@projects.pekdon.net/srv/git/pekwm into searchdialog
    
    Conflicts:
    
    	src/Client.cc
    	src/CmdDialog.hh
    	src/InputDialog.hh
    	src/SearchDialog.cc
    	src/SearchDialog.hh

commit 014fac9c962696b99fb02400426d1eeb88218745
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Nov 30 17:42:59 2008 +0100

    Update default configuration with icon sizes.

commit 91dc0997b86d78d7c685b0af8f9a067ca4f9fcc9
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Nov 30 17:36:36 2008 +0100

    Enable template overwriting for more configuration files. Closing #103
    
    This enables templates in auto properties, mouse configuration and the
    keygrabber. It is not enabled in the menu as it is 100% valid to have
    multiple entries at each level with the same name.

commit 320a5d3e8642df11b57ea3aa2ee2a92290a0679b
Merge: 2015c1f... 05b470b...
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Nov 30 15:59:43 2008 +0100

    Merge branch 'master' of ssh://me@pekdon.net@projects.pekdon.net/srv/git/pekwm

commit 2015c1f5ac7f8d10c3e9245e52c7bb4d07e7293a
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Nov 30 15:59:24 2008 +0100

    Ops, s/_NET_WM_VISIBLE_NAME/_NET_WM_VISIBLE_ICON_NAME/

commit db7359695afa9181e1d52eb36dbed299159ff743
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Nov 30 15:59:03 2008 +0100

    Start implementation of demands attention hint.

commit f11081fb8e4d022bbba56cf3bdfb8a5f566f7eb3
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Nov 30 15:57:10 2008 +0100

    Icon can now specify ordinary texture, falls back on scaled image texture.
    
    Now Icon in menus first tries to load it as an full texture
    specification, if that fails it is loaded as an scaled image texture
    with the icon value as the image.

commit 1e42384d2e6c682a40d6e67cfee38daac6a1381f
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Nov 30 15:55:38 2008 +0100

    Implement new icon menu size restriction options.
    
    Now it is possible to set the following in the Menu section of the
    default configuration file.
    
    IconWidthMin, minimum width of icons, 0 to disable check.
    IconWidthMax, maximum width of icons, 0 to disable check.
    IconHeightMin, minimum width of icons, 0 to disable check.
    IconHeightMax, maximum height of icons, 0 to disable check.

commit 0ee6821792013daf18017191b41ec1806d4f41ff
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Nov 30 15:54:32 2008 +0100

    Replace CfgParserKeyInt with CfgParserKeyNumeric<T>.

commit 05b470b3c81f95c7e414cd4688321d1d6436fa00
Author: Jyri Jokinen <shared@adresh.com>
Date:   Sun Nov 30 06:55:33 2008 +0200

    minor fixes to faq entries and language

commit 9ae13ad3016bc24ba1302cce319d15682789fa44
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Nov 28 22:55:15 2008 +0100

    Fix #110, render resize/move information centered on the window being moved.
    
    This introduces a new option in the main configuration file under the
    Screen section, ShowWorkspaceCenteredOnRoot. When set to false, the
    WorkspaceIndicator is centered on the window being moved/resize and not
    the current head.

commit 0f213782507697c79177b095da6a5dce3448c306
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Nov 28 15:13:18 2008 +0100

    Move windows inside screen when resizing screen size.
    
    This got lost somewhere, or was it ever supported? Anyway, changing
    screen resolution should now move windows inside visible range.

commit 3c24847d340d9892a4965adf307f4443952754a3
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Nov 25 22:03:37 2008 +0100

    Work on EWMH support, _NET_WM_ICON_NAME and _NET_WM_VISIBLE_ICON_NAME.
    
    Currently pekwm does not do anything with the icon names, but now it is
    at least read correctly.

commit f7c2cedb4f4450c21cd6e3beab3f146faf993e9b
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Nov 25 21:33:05 2008 +0100

    Work on #72, add _NET_DESKTOP_GEOMETRY and_NET_WORKAREA hints.

commit b237dcaa8203323d4607594c4ef37b416ab75ddf
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Nov 25 15:26:03 2008 +0100

    Fix #109, do not fixup geometry if specified in autoprops.
    
    It is possible to specify size and position with autoprops, stay away from
    changing the geometry to fit the screen if that is done as we then assume
    the user know what he/she is doing.

commit 3ed59886a8d7ea12c412891a83caa135945528e4
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Nov 24 22:15:02 2008 +0100

    Work on #109, export CLIENT_PID and CLIENT_WINDOW to environment.
    
    Now it is possible to grab client PID and Window from dynamic scripts, they
    are available as $CLIENT_PID and $CLIENT_WINDOW.
    
    Example dynamic script:
    
     #!/bin/bash
    
     cat << EOF
     Dynamic {
         Entry = "Info" { Actions = "Exec xmessage \"PID: $CLIENT_PID WINDOW: $CLIENT_WINDOW\"" }
         }
     EOF
    
    Put that in the window menu as this:
    
     Entry { Actions = "Dynamic /path/to/dynamic.sh" }
    
    And it should pop up PID: pid WINDOW: window in an xmessage.

commit b6bc171b6aa9e24de8c418285d87248877e7779a
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Nov 24 21:43:37 2008 +0100

    Big commit, move things away from WindowManger to ManagerWindows.
    
    EdgeWO and RootWO was moved into ManagerWindows and HintWO was created which
    handles setting hints etc. Move MWM hints into Atoms, should not have been
    in the WindowManager in the first place.

commit e173e1bc75c7f2bf6483245d649b0cf01ea1e933
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Nov 24 21:41:59 2008 +0100

    Start rename inst to instance in WindowManager.

commit 0175ac37b675a2c152745a30e4fc15ea10f4cc5d
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Nov 22 19:54:04 2008 +0100

    Arg, missing , caused head-ache trying to figure why text property broke.
    
    "str1" "str2" is valid for creating one string "str1str2", this caused
    the atoms parsing offset incorrect.

commit 80dcadb2a894f1f99262e40b2d36984fee3ceaba
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Nov 20 20:35:44 2008 +0100

    Start detection of remote clients, should set the decor to REMOTE.
    
    Start reading the WM_CLIENT_MACHINE in order to detect wheter or not clients
    are remote also support this to group clients by pid, then grouping also
    needs to be done by host.

commit 4a0629c1250cc922ca6d06dcf941760c3f147ae6
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Nov 20 20:34:55 2008 +0100

    Code style cleanups.

commit b889e7b426b482acb9362d0161f1cc84af74f7e9
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Nov 20 20:32:42 2008 +0100

    Add AtomUtil::getTextProperty and use in client.
    
    Shorten down code reading client name and icon name by using common
    code now placed in AtomUtil namespace.

commit 3f4d16f71070a1c703674e5c47deb706bdaafe9e
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Nov 18 19:50:16 2008 +0100

    Scale menu icons and some small cleanups.

commit ba0e513595264d6a003f811575c3f56d6d0f2afa
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Nov 17 21:52:03 2008 +0100

    Add is_dynamic_content to CfgParser and re-set mtime to cfgs.
    
    To avoid re-load issues with configuaration files using COMMAND, this
    previously did not re-load on reloads.

commit 96fe3f8d15b3cd6fcf670a9f56523bc5a8901fbb
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Nov 17 21:51:07 2008 +0100

    Load icons correctly when building dynamic menus.

commit 1732ad39efc14014b4e84b2c06d18e895a476e2d
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Nov 16 19:22:32 2008 +0100

    Implement #98, add Icon to the Entry.
    
    This includes quite a few changes in order to support loading icons from a
    set of directories. Documentation updates included.

commit 9e1f275854c76332c258a90d1922da4922ad1e25
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Nov 15 19:03:28 2008 +0100

    Start asymetric tab support based on patch from Justin Rebelo (hermit)
    
    This is not yet working, it seems to be partially shrinking tabs and it does
    not grow them properly at all.

commit d02f51c4221f5f61e33ee5da737487d1a9d6ff95
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Nov 14 17:43:20 2008 +0100

    Add WorkspaceIndicator FAQ entry.

commit ef7f7aba281747014355f813a9216f00875a6d89
Author: Daniel Moerner <dmoerner@gmail.com>
Date:   Fri Nov 14 09:02:29 2008 +0100

    Close #95, fix compile issues with gcc-4.4.
    
    pekwm currently fails to build with gcc-4.4 development snapshots. gcc-4.4
    has stricter rules for includes, and indirectly including cstdio through
    other headers no longer works. I have applied the following to the Debian
    source to fix this problem.

commit e939bbff3d90479e03b0fc8e930df79375267080
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Nov 12 21:41:35 2008 +0100

    Fix #82 having the workspace not being showed when changing workspace with pager

commit 0b33e758b3bf5256ef3eb683cde7ceed36d12550
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Nov 12 21:36:43 2008 +0100

    Fix #80, CmdDialog backwards compatibility.
    
    InputDialog decorations was previously called CmdDialog, add compatibility
    code to support both names.

commit 77a49b2cda0185382f175e173fcfc9478cbda71b
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Nov 12 21:23:03 2008 +0100

    Update decor name documentation closing #89.

commit 447c1dbb18884bc547d2afe886e5df8149c75698
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Nov 12 21:15:31 2008 +0100

    Small comments and style cleanups.

commit 46a3798c456e8cc353dadff94a637f3828fb0079
Author: Matt Hayes <nobomb@gmail.com>
Date:   Wed Nov 12 21:13:01 2008 +0100

    Patch closing #88 TitleRules on Pekwm generated menus.
    
    Apply adopted patch from Matt Hayes, using a ClassHint on the PMenu instead
    of creating a new one each time the rule is setup. To make this complete,
    setting of Role should be done on all menu types.

commit 4bd180405c597b5d04ea2cddaf123cfd90f4ef15
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Nov 12 21:08:31 2008 +0100

    Update default configuration to have edgesize per edge configuration.
    
    In order to make it easier to "detect" that EdgeSize support per-edge
    configuration, set it in the default configuration. It is already in the
    documentation.

commit 6f5b7dec551de536bf9475f2c3a4b6259c4b64e2
Author: Matt Hayes <nobomb@gmail.com>
Date:   Wed Nov 12 21:04:44 2008 +0100

    Close #86 icons should be configurable in Focus Frame window.
    
    Patch from Matt Hayes, changed name and position of DisplayIcons.

commit 0b617f56d573de0b686deaa9ee51eb10d56beccd
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Nov 12 20:41:38 2008 +0100

    Add FAQ for multiple buttons in themes with template syntax. Closing #90.

commit 7e3052621383d8682a0279fdd4cbb0edbfa0d709
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Nov 12 20:39:36 2008 +0100

    Start restructuring theme documentation with docbook syntax.
    
    Previously the theme documentation was text only, start structuring as a
    docbook document. Not near to being complete yet.

commit 599361d25421da4ff435569656eaf93128c00654
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Nov 12 14:34:30 2008 +0100

    Close #91, s/Hoover/Hover/ also keeping backwards compatibility.

commit 375a575d8f1c77692cf6931ceeeb2825a957db1e
Author: Vladimir A. Pavlov <pv4@bk.ru>
Date:   Tue Nov 4 11:57:18 2008 +0100

    Close #84, unable to make mplayer window fullscreen.
    
    I installed pekwm-0.1.8 and when I started watching movie with mplayer
    and pressed 'f' (make mplayer fullscreen) the size of the window remains the
    same, not fullscreen, although its content changed so that I could see the
    top-left region of the movie in the small window. It looked like mplayer
    incorrectly "thought" the size of the window changed.
    
    The bug seems to be in the code introduced by the revision
    7bd7afc250a9f7578de7e38b5ed5925af8860de1.
    
    When debugging I discovered that sometimes ev->value_mask includes
    CWStackMode and doesn't include CWY/X/Height/Width. In such case if the
    window had been already maximized earlier then the code sets fullscreen
    state to STATE_UNSET which is wrong.
    
    The obvious fix (the attached one) is to set fullscreen state only if
    one of CWY/X/Height/Width was found in ev->value_mask.
    
    But I guess the actual error is in another place where somebody passes
    ev->value_mask with anything unexpected (CWStackMode) althought it
    should not.
    
    What do you think?
    
    P.S. The bug appears only when FullscreenDetect is True or unset (since
    it defaults to True)

commit 8aab298d86261f9cd489ebe22a102375755fd014
Author: Andreas <ioerror@lavabit.com>
Date:   Tue Nov 4 01:54:52 2008 +0100

    Implement #81 by loading local configuration files after copying them.

commit 9d4691f304752e47fc0f0270d8c8efdca9a72a35
Author: Andreas <ioerror@lavabit.com>
Date:   Thu Oct 30 00:18:13 2008 +0100

    Fixes some spelling mistakes in the documentation.

commit 85799c7d6be1c9194d3b0c7f5f7b9a2281922fcc
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Oct 29 22:12:12 2008 +0100

    Changes to the configure script.

commit ad5a586adccafcc84273713b46f87c05c2ae0db5
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 29 20:29:27 2008 +0100

    Fixes some spelling mistakes in the documentation.

commit 7f0ef5c858700ba9580163c746f19df91d53ff91
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Oct 27 09:27:33 2008 +0100

    Add missing includes to Compat.hh

commit a6944a1f21fd453f3d9dcee184f63904ce23e5ce
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Oct 26 15:48:51 2008 +0100

    Add preliminary swprintf compat code for fixing OpenBSD compat.
    
    Noticed in the OpenBSD port of pekwm patches exist to work around use of
    swprintf, this implements partial swprintf support which should be
    enough to get things working.

commit c032ac5fe2c231cf13e095dc32cd0605cf1bd5ff
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Oct 26 09:52:47 2008 +0100

    Start on minimal pekwm manual page "pointing" to the web site.

commit a1f32141eaf87fbd9bff175a71e74a2f3d92e0c1
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Oct 25 19:13:19 2008 +0200

    Change default of CfgParser::clear and use AtomUtils in desktop names reading.
    
    Changed the default parameter of CfgParser::clear to realloc by default
    as the only case when alloc will not be wanted is in the CfgParser
    destructor. Clean-up and make use of AtomUtils in new desktop name
    reading code, not sure if this works though.

commit 062b5bf751a483576bbfd923d689b1c886e0c09e
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 22 18:10:44 2008 +0200

    Call WindowManager::readDesktopNamesHint() when the hint is changed.

commit affd012be56be675a56766afe241ea645691666e
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 22 18:10:16 2008 +0200

    Add a function to WindowManager to read the _NET_DESKTOP_NAMES hint.

commit 0a26ea4cddc3bc669b7c48ba78f2a671ced28353
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 22 18:09:50 2008 +0200

    Add a function to Config to set the workspace names from an utf8 string.

commit d6f6618dc4ba5b5275981d1bc86e8c80d05fd246
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Oct 23 16:09:38 2008 +0200

    Force use of / as regexp separator, not the first character.

commit 4c796b158c72a962cd6d4ad8024cf43111389ff6
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 22 17:16:16 2008 +0200

    Fix a wrong memory access.
    
    splitString() is sometimes (in Config.cc) called with a string str from its
    second parameter toks. str is therefore a reference to a sting object in
    vector but by changing vec later it invalidates this reference.
    The solution is to not pass str by reference or change all calls to
    splitString(). We do the former.

commit 06085fcded1632d61b4f1bdf45bcc3c33fe4db84
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 22 17:02:03 2008 +0200

    Change return type of AtomUtil::getPropoerty to bool.

commit 83d1c11d6935fb92cd153eb5fc43120930c2a1dc
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 22 17:00:28 2008 +0200

    Fix compiling with --enable-pedantic.

commit cd1e92b0a06ee7bdceb53d90dfa1e14506709ae5
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 22 17:00:04 2008 +0200

    Fix access to uninitialised memory.

commit 95820d7830a6507afe81779b2bc142f261558a37
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 22 16:59:31 2008 +0200

    Fix access to already freed memory.

commit 38c62e99bc0dae05dfa37de6dca44b606dbef67e
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 22 16:58:35 2008 +0200

    Fix memory leak in CfgParser.

commit 54b53a3134da9131b1cc0074c796b8e1c22e4d92
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 22 14:33:49 2008 +0200

    Change getDesktopNamesUTF8() to be const.

commit 4aec7a1cb6e66efa4439d366e02175b1de09de92
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Oct 22 11:37:48 2008 +0200

    Fix overriding section values on section with values. :-O
    
    Hmm, to explain it a bit further here is an example:
    
    Define = "FOO" {
      Bar = "1" {
        Value = "1"
      }
      Bar = "2" {
        Value = "1"
      }
    }
    
    And you wanted to override the value of Value in Bar = "2", this was not
    possible before as the value "2" was never looked for.

commit 28b0a0cf2eab89637bc01cba840180270d08ede3
Author: Aristotle Pagalztis <pagaltzis@gmx.de>
Date:   Wed Oct 22 00:28:34 2008 +0200

    fix data Makefiles to allow out-of-tree build

commit bbed3989edf7c546cb6728336e56e9f901562c2a
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Oct 21 20:29:41 2008 +0200

    Add Require section to themes.
    
    To avoid breaking themes from pre 0.1.8 and to support detecting
    incompabilities before loading themes a require section has been added.
    
    This currently only supports Templates = "True" / "False" switch which
    enables/disables the new template syntax overriding.

commit a68d7f8fb29272483439ec4f3fecaecaf8708845
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Oct 20 18:20:31 2008 +0200

    Cleanup of fix for #33 and re-load workspace name on reload.
    
    Less code and more C++ like, seems to be working fine here.

commit 609d95179e51c2f49d6e4c98f721a4b0cf75f39e
Author: Andreas <ioerror@lavabit.com>
Date:   Sun Oct 19 23:33:59 2008 +0200

    Add support for _NET_DESKTOP_NAMES (#33).

commit 24736ee9b7d622b6e1d1e72c5381353e84402b90
Author: Andreas <ioerror@lavabit.com>
Date:   Sun Oct 19 22:48:54 2008 +0200

    Fix comments on string conversion functions.

commit 85de360f19be513ecbb10f8e5fc696eb5b04cc6a
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Oct 19 17:20:17 2008 +0200

    Enable decoration switching when activating client in a Frame.
    
    Previously decor properties was only matched on when the client
    updated it's title and not when you change active client in a
    Frame.

commit 74d0a9eb3fac88d1bc0023654df416428030eab3
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Oct 19 17:14:48 2008 +0200

    Make use of Hoover state for buttons, closing #41
    
    Parsing of button hoover state has been around for ages but has not actively
    been used. Added code hoovering buttons.

commit 2f6a9ce662a39ca9e658bd451926debf5cce6659
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Oct 19 16:46:06 2008 +0200

    Support // style regexps by default and cleanup or_ naming.
    
    Now // style regexps are used by default if the first and
    last character in the regexp are the same.

commit 202bf2a4137cf38152bca3bcc0faa24ec8ba3a7e
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Oct 19 11:10:21 2008 +0200

    Fix copying of sections, thought this was already comitted.

commit ddb8e8f9a2e5bc39a885c8df6bc38365045bf845
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Oct 18 20:11:53 2008 +0200

    Fix default configuration file when creating WindowManager.

commit 35ef075b4d6f37928f92e409fba37905da4d536a
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Oct 18 19:54:02 2008 +0200

    Style changes, s/NULL/0/.

commit f16174d75ceb02b7a220b2dd79a4e01bf1b0374a
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Oct 18 19:32:16 2008 +0200

    Remove un-used gettext code and fix include in main.cc
    
    General gettext support was not in place anyway, will re-write this
    when/if it becomes relevant.

commit 965d19cedc7ae7d15c354e187fa12b3499d61a80
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Oct 18 18:00:13 2008 +0200

    Fix g++-4.3 compile warnings and replace NULL with 0

commit 43e69751395582ae6b6044c879d5ca674f0f0c6a
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Oct 18 16:41:42 2008 +0200

    Make DecorRules reload on title change.
    
    Now it is possible to get different decors when changing titles on
    windows, this can be useful to get all your "root" terminals end
    up red so you do not poweroff the wrong machines.

commit 94478b800a6c5d738af921bf41169493e801a200
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Oct 18 12:13:58 2008 +0200

    Add conditional re-loading of files, changing theme now only reloads 2 files.
    
    Before re-loading a check on mtime and path is done before reloading,
    this seems to be working fine but has two drawbacks (that I currently
    can see) which are:
    
     * Changing a theme image file will not make the theme to reload as the
       theme definition is left unchanged.
    
     * Updating an included file will not make the file including it reload.
    
    To avoid issues with the either touch the file, restart or wait for a
    force option to reload.

commit f1a4273455032c01828046f2595d5df4af8f9770
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Oct 17 19:41:44 2008 +0200

    Limit when overwriting is ok due to unique vs non-unique sections.

commit f552747ce6f1a2ce452669993e0e9fed5923af0b
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Oct 17 13:55:22 2008 +0200

    Support overriding attributes in sub sections, closing #23.

commit 1b27282359abc9ec33fa7aeaa39b8e0f3052ed23
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Oct 16 16:34:16 2008 +0200

    Fix ops in parsing after structure update, now border and edges should work.

commit cc1ff4ed0be3210c039f4338fa629ff3b30e17ea
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 15 00:31:43 2008 +0200

    Just a hack to allow the configuration of a resize for a mouse motion event.

commit 3fa9c90154ff9de8a2012218165b021c94dd3062
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 15 00:31:20 2008 +0200

    Trigger ButtonRelease config even when ButtonPress does a resize (#60).

commit 9c7e31bc969cef6e7694accbbbb953933fcd86ee
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 15 00:30:48 2008 +0200

    Generally check event's window and event's subwindow member for a valid border window (similar to the last patch).

commit 69f21a298b215e9c0d395886f28db4e6ed32f93a
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 15 00:27:12 2008 +0200

    Allow ButtonRelease on the decor (see #60).
    
    However, if ButtonPress is configured to do a resize, this doesn't work,
    because Frame::doResize() eats the ButtonRelease event.

commit 0eb33f36389242158e842f5844b63c1698eaaeb9
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Oct 16 14:25:40 2008 +0200

    Fix ops in autoprops parsing, update conifg and docs with small...

commit bd0060b6e3b717b4f26d9b68d3d1cefa3b2edfa4
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Oct 16 14:03:07 2008 +0200

    Add HonourRandr option, fix issues with Xinerama vs Randr.
    
    Some drivers provide both randr and xinereama information, if you want
    xinerama should be used instead of randr set HonourRandr to False.

commit d72f78ca0a5ad87e325a43887582041bbabcda49
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Oct 16 10:59:14 2008 +0200

    Add missing algorithm include, reported by smurfd.

commit b240062e8df575c442671bc6d55ddec47ffa72ed
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Oct 15 22:40:11 2008 +0200

    Work on #23, template in use for themes but loading of configuration not 100%
    
    Template code is starting to take shape, configuration loading is not
    100% yet.

commit d0ffaaa54d4864241a5711fafd126ef43fc3a776
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Oct 15 13:49:12 2008 +0200

    Re-work CfgParser structure, use list instead of homegrown list.
    
    First step in cleaning up the CfgParser structure, parsing code a bit
    updated but find_* should return iterators instead of actual elements.

commit 433fb988d2003673423daa111e20ce5cf6239b0e
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jul 20 18:04:41 2008 +0200

    Start on fixed width menus to be used in searchdialog for displaying results.

commit aa4c99c127462b1c6feebeffbfb4d0cdd0da83b4
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jul 20 17:54:11 2008 +0200

    Move wo_ref from CmdDialog to InputDialog as it is to be used in SearchDialog

commit 7261c762cd4a3f361700fad84ef015d7c8ee1a3a
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Oct 14 19:35:43 2008 +0200

    Update default mouse configuration, Vertical workspace navigation.

commit ca9b7e54f5db793016698d607b6c235847733f8d
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Oct 14 19:29:06 2008 +0200

    Start cleaning of reload and actually reload InputDialog texture closing #67

commit 924f6fdaeae19c5456d5387efb093f72badb0032
Author: Andreas <ioerror@lavabit.com>
Date:   Tue Oct 14 13:35:12 2008 +0200

    Fix continuous-focus-switching bug.

commit dbee6ff35bb5f21e704208203b473af110138580
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Oct 10 17:01:27 2008 +0200

    This should probably fix #38 (vnc issue).
    
    Longer explanation (as far as I understand it):
    A client that uses the "Locally Active" input model (see ICCCM 2.0 §4.1.7)
    may delegate its input focus to one of its subwindows. If this happens,
    a FocusOut event for the top level window is generated but pekwm does not
    get the FocusIn event for the subwindow (because it is not managed by
    pekwm ?!). WindowManager::handleFocusOutEvent() then gives the input focus
    to the root window and thereby removing the input focus from the client
    completely.

commit 96dbb189110eda75aa53a7e42c485ce940fe742e
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Oct 10 16:36:58 2008 +0200

    Call PScreen::setLastEventTime() for skipped events.

commit 3b8e66840efe965aa7048146fecde8401876e28d
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Oct 10 16:31:57 2008 +0200

    Add Client::sendTakeFocusMessage() and call it from Client::giveInputFocus().

commit 6c54e7516ddefe14b6e90f159e88606de0352356
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Oct 6 16:47:43 2008 +0200

    Change return value from giveInputFocus() from bool to void.
    
    The return value was never used anyway.

commit dabc94342c6c6abfbfcaef5ac92536bee25382dd
Author: Andreas <ioerror@lavabit.com>
Date:   Thu Oct 9 16:02:21 2008 +0200

    Change type of PScreen::_last_event_time to Time.

commit 4631a0bf6d6fcc7f487fe9f91c89ca09a8c15e5b
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Oct 6 16:46:24 2008 +0200

    Fix a compile error when using ./configure --disable-harbour --enable-pedantic.

commit 062ee33fbf5dd111581b4641bdff49df0a62d25e
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Oct 8 17:35:14 2008 +0200

    Initialise Theme::_harbour_texture correctly.
    
    This fixes a possible crash when pekwm is shutdown.

commit 61ffb8939da7d77ef73346e7d7350ab717f66121
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Oct 7 23:51:32 2008 +0200

    Only find window to focus if menu had focus in HideAllMenus. Closing #65

commit 25db0c25df08f09ba06b58cf730d8c92f0a46dec
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Oct 6 16:45:11 2008 +0200

    Indentation clean up of Frame::handleConfigureRequestGeometry() with
    
    additional change of the if-clause.

commit fe61e00a64ee9c2699ec7ce2167b355c60af2545
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Oct 5 19:31:23 2008 +0200

    Start on @template syntax for configuration files, not working yet.
    
    Data seems to be copied over just fine but overwriting does not work
    yet, should fine to use for things such as defining @BORDER for decors
    and the like.

commit aa0a21844694ec0881ee5d3172ddd2ae811cb127
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Oct 3 10:40:18 2008 +0200

    Fixes for mkdocs script, now works on Ubuntu Hardy.

commit 8307a4fbe7cf1e18a1bfe54bb811b52b48c9d1ba
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Oct 3 10:33:49 2008 +0200

    Style cleanup of CfgParserSource.

commit 93534951358ddfd36ded0ac687472ab824a38c1d
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Oct 2 08:47:47 2008 +0200

    Cleanup of naming in CfgParser, first go.
    
    Start cleaning CfgParser before looking at templates in configuration.
    This code has not been tested much.

commit ad511f0dd8de6e00781592084b99e7ad49495e79
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Sep 29 17:15:07 2008 +0200

    Changes Config::getWorkspaceName() to a more concise form.

commit 03eb26a686d2427308c68d030752a353520ddb16
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Sep 29 17:08:34 2008 +0200

    Just code style cleaning (2/2).

commit d21cbbb11611cbb7cb57071cf557742d85c762f3
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Sep 29 17:02:17 2008 +0200

    Just code style cleaning (1/2).

commit 7bd7afc250a9f7578de7e38b5ed5925af8860de1
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Sep 29 22:36:28 2008 +0200

    First try to get fullscreen detection, code has not yet been tested.
    
    This introcuses a new option, FullscreenDetect to be put in the Screen
    section. When True pekwm will try to detect non EWMH fullscreen requests
    and make the window go to real fullscreen mode (removing decoration and
    raising it).

commit b15e00fea34232dba87226008328edcc67f93b6e
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Sep 29 22:17:51 2008 +0200

    Remove some ifdefs around SHAPEing

commit 33394a6b599c9205f4d6f032420c70b27ceaeec2
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Sep 29 15:22:12 2008 +0200

    Makes the "raise true" action work on unselected tabs.
    
    Together with the last commit a01e05c18 this fixes task #59.

commit a01e05c18316c84de86f2c5a09a15d7ec5065bb9
Author: Andreas <ioerror@lavabit.com>
Date:   Thu Sep 25 15:13:43 2008 +0200

    Removes 'static' keyword from a few variables in Config.cc and cleans up the initialisation of the Action class.

commit f5395090cb7cfceaf94cab1ac8d2cc2a68ce2493
Author: Vladimir Marek <Vladimir.Marek@Sun.COM>
Date:   Wed Sep 24 11:28:58 2008 +0200

    Fix compilation with SunStudio, missing std:: for find.

commit 88eeb5c87a72e45c2083709000b79702e1903559
Author: Andreas <ioerror@lavabit.com>
Date:   Tue Sep 23 14:43:18 2008 +0200

    Handle top level windows with window gravity != NW correctly.

commit 2ef821e253bcb144500e075a024f3693e65e117d
Author: Andreas <ioerror@lavabit.com>
Date:   Sun Sep 21 15:25:39 2008 +0200

    Fix Client::moveResize(). It updates its geometry now.

commit 2a501740b4e375bfc3e939c0549b2929bb912bcd
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Sep 22 10:12:49 2008 +0200

    Convert ShowWorkspaceIndicator to milliseconds instead of seconds.
    
    The 1 second display of the WorkspaceIndicator is too long, make it configurable in
    milliseconds instead and set the default time to 0.5 seconds.

commit 96b60f54821456bbe03691639ca3c18bf78e11c1
Author: Jyri Jokinen <shared@adresh.com>
Date:   Mon Sep 22 08:49:11 2008 +0200

    Fix #63 above dialog issue.
    
    Looks like a brainfart. This trivial patch should fix it.

commit c4527978b82174b3a43909c5618ee715d547325f
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Sep 21 12:36:01 2008 +0200

    CmdDialog history persistance, now actually tested and with documentation.
    
    Now the code actually is tested minimally and documentation is in place,
    still needs more testing I would guess.

commit 8bed7cf4b3a5fa4bfc8ec5ea94fb8768ac0032c4
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Sep 20 20:06:26 2008 +0200

    Start on CmdDialog history persistance.
    
    New CmdDialog section has been introduced to the main configuration
    file. The CmdDialog section currently only configures the history
    aspects of the CmdDialog.
    
    The default section looks like this:
    
     CmdDialog {
         HistoryUnique = "True"
         HistorySize = "1024"
         HistoryFile = "~/.pekwm/history"
     }

commit 973f97b522e1a7dd278326a7e3b65e012f9a648b
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Sep 20 19:08:24 2008 +0200

    Add file_backed_list for use in CmdDialog.
    
    List for use in the CmdDialog for persisintg configuration between
    sessions, untested code.

commit 70988e8fe0e35382a324ecbdddd6e8c3fe2f4e83
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Sep 20 18:51:59 2008 +0200

    Make CfgParserKeyPath expand default value.

commit e903c7b3bab44b578c43b5c438121d91bba6b768
Author: Nathan Howard <cornet@sheepy.org>
Date:   Tue Sep 16 20:48:06 2008 +0100

    Fix fix for #56, use enableval rather than custom variable

commit 891047b4f822ceaf483dc39e1d09ef4c8b1def15
Author: Nathan Howard <cornet@sheepy.org>
Date:   Mon Sep 15 23:48:42 2008 +0100

    #56 Fix: make sure we test right variable

commit 155e1c311d6a464ef9e44260a513b065e8d5b45b
Author: Andreas <ioerror@lavabit.com>
Date:   Sun Sep 14 14:47:24 2008 +0200

    Fix small copy&paste error in Frame::Frame().
    
    _non_fullscreen_decor_state was initialised with client->getLayer().

commit 4b129941c9e030a0c5b39ef221ee99965f84c433
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Sep 9 22:06:09 2008 +0200

    Add FullscreenAbove configuration option, closing #61
    
    It is now configurable to make applications going to fullscreen mode
    being raised above other windows, this is set to true as default as I
    guess most users will want it even though I have turned off.

commit 45797d285880fe181de0de17a3413c76e976ec06
Author: Jérôme Pigeot <j.pigeot@gmail.com>
Date:   Sat Aug 30 11:07:15 2008 +0200

    Update theme explanation file to use docbook structure.

commit 5ee205f63aa52c47c3a7ce74cff6e7d523bdb028
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Aug 12 23:04:09 2008 +0200

    Work-around #56, somehow xrandr interferes with png.
    
    Nathan reports doing --disable-xrandr also disabled png image support,
    moving the xrandr test further down makes it work but I wonder what
    is actually causing this.

commit 5f39fa2d94ad5fc1d06cf0e1486c3b4b3cebd65a
Author: Vladimir A. Pavlov <pv4@bk.ru>
Date:   Sun Aug 10 12:58:58 2008 +0200

    Fix strut reading on x86_64, use long and not CARD32, closing #51.
    
    The bug is that on x86 sizeof(long)==4 and sizeof(CARD32)==4 while
    on x86_64 sizeof(long)==8 and sizeof(CARD32)==4.
    
    So if I have pypanel at the bottom of the screen the strut array
    is { 0, 0, 0, 24 } each element being of 8 bytes length. But pekwm
    assumes them to be of type CARD32 that's only 4 bytes, and it sees only
    the first 16 (zero) bytes of the actual array and therefore it doesn't
    properly apply the strut cause windows overlap the panel.
    
    The fix is to replace all the arrays of CARD32 with arrays of long when
    working with Xlib. I looked through pekwm sources and found only two places
    where CARD32 arrays are used.

commit 43e1201c8dbe15ce4aaec929a2e5267247bfc6d9
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Aug 9 20:18:20 2008 +0200

    Rename custom.dsl to pekwm.dsl to avoid conflicts.

commit 8c6bfae31bdd9a81f69f2df452f806c6e64551a0
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Aug 8 09:24:38 2008 +0200

    Updates on themeset script, use SED found by configure, and find to find themes.
    
    Try to make things more correct and work on more variants of sed, it seems
    as if sed on NetBSD does not support the i flag (? is that true ?), also
    make sure there is a theme file in theme directories by using find.

commit 3ea8a8c84136b87d22e89da64405b054d2535615
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Aug 6 22:55:35 2008 +0200

    Back to GIT version after 0.1.7 release and tag.

commit 502bc44912bac628ead111c820c335941a99c979
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Aug 6 22:35:20 2008 +0200

    More updates before 0.1.7 release, missing files and version set.

commit aec08f709f2488547abad7e0e075d4c8de3d4a55
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Aug 6 22:19:27 2008 +0200

    Fix typo in mkdocs.sh script for pdfjadetex script.

commit c86cfc371fe5b28ea4dc6fb2cfa686a36f9dda2c
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Aug 6 18:29:10 2008 +0200

    Add WorkspaceIndicator theme documentation.

commit 3daa79cb89d40e42a3b484b538ba4f2b198bf7dd
Author: Matt Hayes <nobomb@gmail.com>
Date:   Wed Aug 6 18:22:30 2008 +0200

    Fix s/COLOR/FONT/ in WorkspaceIndicator themeing.

commit 9fd7010503cac491beaa9051a19813d2fb6d6715
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Aug 6 18:18:36 2008 +0200

    Apply modified patch by Matt Hayes <nobomb{@}gmail{.}com> for WorkspaceIndicator
    
    Fixes in the padding of WorkspaceIndicator to take theme variables into
    account.

commit 0d7caa41d3820cc13792cb2559cc77fc108e15bc
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Aug 6 18:15:07 2008 +0200

    Start to clean up mkdocs.sh script, fix UTF-8 issues in name and set version.

commit d42f9aaead355bad57be76a31c305799cb842f7b
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Aug 6 17:39:32 2008 +0200

    Start cleaning of mkdocs.sh script, depend on bash and re-indent.

commit 78d4b464edd2f31c089777012b8c6299c484e9cb
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Aug 6 17:37:31 2008 +0200

    Add check for /usr/xpg4/bin/sh and use in menu scripts for Solaris.
    
    Fix scripts to run under solaris by default. Use AC_PROG_SED instead of
    AC_CHECK_PROGS to find a suitable sed command.

commit 7aa268021094771fbb5db38b5d44b2e83a104993
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Aug 6 15:15:48 2008 +0200

    Use libpng12 instead of libpng in pkg-config check, works under Solaris.

commit 0515284ff9a47ee570abccb5e4358381b08ef853
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Aug 5 23:49:19 2008 +0200

    Small documentation updates after looking at the ChangeLog.

commit ddb01a228aeeb98d04b65c98ebc522c6b0a53fc2
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Aug 5 23:06:24 2008 +0200

    More references to the SearchDialog in the main branch, should not be there.

commit a9f30650bf2f349eb327c0ef0d0363dd6bb4a8f7
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Aug 5 23:04:02 2008 +0200

    Update action documentation, added SendKey action, mostly order/indention.

commit b3389f62ca87455befe337bf26021ee4519176ab
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Aug 5 23:03:27 2008 +0200

    Remove more references to Viewports in the documentation.

commit e9fffcdc5732636505ecac516a0061a92cd7ae6b
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Aug 5 21:39:14 2008 +0200

    Update pekwm_themeset.sh script, hopefully sh compliant now.
    
    Fixed script to handle commented Theme lines and use _NET_WM_PID for
    reloading the correct pekwm instance.

commit daeac773e8767272d5d96dea27edd31dd7d0ae44
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Aug 5 18:44:43 2008 +0200

    Remove perl scripts, start replacing with pure shell scripts.
    
    Removed both perl scripts used in menus and implemented pekwm_ws_menus
    as a .sh script. Old pekwm_themeset.sh script needs to be fixed so that
    it does not depend on bash.

commit 1e1f83e5d573a4fa40b3d57e0f56aa7fb2be435a
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Aug 5 18:38:08 2008 +0200

    Add PDF target in mkdocs.sh script.

commit c33217aa62460063dca67ad9ee26ddef0ebf2e66
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Aug 5 18:37:44 2008 +0200

    Large ugly commit fixing indentation on most documentation.
    
    Mostly indentation fixes and typos, added a TypeRules section to the
    autoproperties but it is not complete. Actions not updated in this
    commit.

commit 7217f54d25753a73509cff74de15da14951a5727
Author: Andreas <ioerror@lavabit.com>
Date:   Tue Aug 5 01:57:26 2008 +0200

    Fix the fix of task #21. :-)

commit b2657d13447ed261d7daec0ad021223d6c5b7fe9
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Aug 4 23:34:14 2008 +0200

    Apply adopted patch from ioerror fixing dynamic issues, does it still work?

commit e2bb8960f90b3c995da57203f028d56e06a24fa8
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Aug 4 23:33:16 2008 +0200

    Make _menu_parent protected instead of private, to be used in ActionMenu.
    
    Change to protected _menu_parent and also fix encoding issues.

commit d56db052c62dd770c12ccc00e184ddb98f1a2f5d
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Aug 4 22:04:22 2008 +0200

    Update documentation to generate fine now with Viewports.
    
    Removed final references to Viewports and update styling to not blink
    when clicking and use monospace fonts.

commit 4a21778ab3d620610004f5a0362fd0b745ed1cbf
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Aug 4 20:50:33 2008 +0200

    Cleanup in naming, drop op_ prefix on all but CfgParser* files.
    
    As ioerror started doing cleanups on naming and indentation I got motivated
    to continue.

commit fb998c2cb07ec6a2192671ff0534ee7180c8e6ed
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Aug 2 11:09:24 2008 +0200

    Remove SearchDialog from master branch, will not be included in 0.1.7

commit 9557fd6d12f0b0a409fa42057702dc9e0f253db7
Author: Andreas <ioerror@lavabit.com>
Date:   Sat Aug 2 15:01:35 2008 +0200

    Fix a stupid mistake I did with the clean up patch.

commit 2b651238255abd485a8e159e3fdab2193535f5fc
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 16:25:13 2008 +0200

    Corrects the interpretation of the motif windowmanager hints.

commit 897bd82e3835db410cae477dcdfe632e6b546594
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 12:55:49 2008 +0200

    Fix the unshading can brake the decoration bug (#32).
    
    If a shaded PDecor loses focus, its borders are set to the size of the
    shaded window (PDecor::setFocused() calls setBorderShape()).
    Therefore PDecor::setShaded() must also call setBorderShape() to set the
    borders back to the original geometry.

commit d6e5016ac9c24c4a9a80a6969814e71e26244caf
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Aug 1 08:12:01 2008 +0200

    Update AUTHORS adding ioerror and fixing spacing.

commit c0eb10497030f07a3b32ebd618c0c64f4161ff4f
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 01:11:58 2008 +0200

    Spacing after exclamation marks in src/Config.cc corrected.

commit 17a69fcc36d3bb9c999a712d8ab0e52fdc7ccc63
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 01:10:14 2008 +0200

    Spacing after exclamation marks in src/{InputDialog,KeyGrabber}.cc corrected.

commit 0e860d7ae1ca93b34af799bb6fe6299d8410d8cf
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 01:09:36 2008 +0200

    Spacing after exclamation marks in src/Client.cc corrected.

commit 3bddde8cf05fed2cc0eb5b5d2953c46962c2adef
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 01:08:58 2008 +0200

    Spacing around exclamation marks in src/{AutoProperties,CmdDialog,DecorMenu,DockApp,FrameListMenu,Harbour,HarbourMenu}.cc corrected.

commit f597673dfc699575dc1d4d74937657c85145a74e
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 01:07:17 2008 +0200

    Spacing after exclamation marks in src/Frame.cc corrected.

commit a82dc8df3412a44494aa6d6ddc2fa362a636dff7
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 01:06:09 2008 +0200

    Spacing after exclamation marks in src/PDecor.{cc,hh} corrected.

commit 9e9ff1195f85b3e797c2145ba587a1d5274891e8
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 01:04:31 2008 +0200

    Spacing after exclamation marks in src{PFont,PMenu,PScreen,PTexturePlain}.cc corrected.

commit 41aa196bfecd25e22a073bb1fd5764c9ab067fba
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 01:01:26 2008 +0200

    Spacing around exclamation marks in src/{PWinObj,RegexString,TextureHandler}.cc changed.

commit 1002d54574087fad680badc906ba29264645a421
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 01:00:21 2008 +0200

    Spacing in src/Theme.{hh,cc} changed.

commit 4ea15b03e7305966d59ca68c2d8ef7e3450c2499
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 00:58:59 2008 +0200

    Spacing around exclamation marks in src/Util.{cc,hh} changed.

commit 35672ac0dd2defc10f8c2abc4d8a0859dab52aba
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 00:58:21 2008 +0200

    Spacing in src/PImageNative{,LoaderJpeg,LoaderPng,LoaderXpm}.cc changed.

commit 9ea8d6cd29937f5bcb1a605b8558e8a60b7d7975
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 00:56:17 2008 +0200

    Spacing around exclamation marks in src/CfgParser{,Key,Source}.cc changed.

commit df56e0d67ad67951db0d0471c76db20e6017a327
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 00:53:55 2008 +0200

    Spacing around exclamation marks in src/Action{Handler,Menu}.cc changed.

commit b727600f2e415f0820b21b3fa25762e082717da9
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 00:52:53 2008 +0200

    Spacing around exclamation marks added.

commit 977c7448151d0fcadb67d3c0d42ed309496337ef
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 00:10:15 2008 +0200

    Spacing around exclamation marks in src/WindowManager.cc changed.

commit da3e7a8dfe0db22602331959f2c07919d1c6402d
Author: Andreas <ioerror@lavabit.com>
Date:   Fri Aug 1 00:03:31 2008 +0200

    Spacing around exclamation marks in src/Workspaces.cc changed.

commit 59d36cefadf8bfe669422c985407a83d9c9bf353
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Jul 31 23:24:32 2008 +0200

    Fixup compile warnings after patch from ioerror.

commit ab4a8ba07be45962f417d009dbcb7cdc993ee3c1
Author: Andreas <ioerror@lavabit.com>
Date:   Thu Jul 31 22:44:00 2008 +0200

    Unified coding style. This patch should not change semantics.
    
    I really hope it doesn't.

commit 09941fa60eec2083480c1712a8ababd9340db83d
Author: Andreas <ioerror@lavabit.com>
Date:   Thu Jul 31 19:05:52 2008 +0200

    Fix compile issue when configured with --disable-shape.

commit 17031110e1af0039004511ea03e8c192fa90ab06
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Jul 31 21:05:20 2008 +0200

    Always get child into place when adding into PDecor.
    
    Align and resize children as soon as they are reparented to a PDecor.
    Fix simple border offset bug not looking at borderTopRightLeft on right border.

commit b001fdcbfa4c329ebc542c631b37e2e6d4a3417a
Author: Andreas <ioerror@lavabit.com>
Date:   Thu Jul 31 21:03:03 2008 +0200

    Fix wrong length parameter for snprintf.

commit e3e87205471d27a49cd1e41956ad298f8d063b86
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Jul 30 21:26:38 2008 +0200

    Set Client's _gm.x and _gm.y in Client::reparent(PWinObj *parent, int x, int y).

commit 2c70e61eaa694d542f3daa684bd203b469309328
Author: Andreas <ioerror@lavabit.com>
Date:   Wed Jul 30 20:21:06 2008 +0200

    Fix offset for reparenting child in Frame.

commit 7a0dab4d6e97f83ef3b96da0d9b258172b536fdf
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Jul 30 08:15:54 2008 +0200

    Add SendKey action to send key presses to applications.
    
    This is the response on #14 where nidan says:
    
    12:18 < nidan> pekdon: So, Chain = "Ctrl t" { KeyPress "t" { Actions = "SendKey
                   Ctrl t" } } would do it..
    
    Now it is possible to send keys defined the same way they are parsed
    in the keys file with the modifiers first and then the key.

commit 780148a08b0b0c8b4552293ce52586cecb8cbc7f
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Jul 30 08:14:02 2008 +0200

    Move mask identifying code out to separate method, add getKeycodeFromMask.
    
    Cleaning up the code a bit and starting to make changes required for a
    SendKey action, split and add this.

commit a94510235bb1511630f94afd0a975f79ee54fed1
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Jul 28 22:52:23 2008 +0200

    Finish off removal of viewports, remove VPOS atom and do_virtual flags.

commit 82c5dcd7d636c23db8acd2406fb511454cbd2c7d
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 21:53:35 2008 +0200

    End the name unifying series by updating a comment in RegexString.hh.

commit f7647ac2f5af4b1441f48669428891d05f09da0b
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 21:48:52 2008 +0200

    Unifies the attribute names of CfgParserSource (underscore prefix).

commit d5ce1679032b06b6cf5195623ffc55c5d936dcde
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 21:48:22 2008 +0200

    Unifies the attribute names of CfgParserKey (underscore prefix).

commit bfe20c53ffa741a69a88de13a4ea5e72ffba9425
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 21:32:24 2008 +0200

    Unifies the attribute names of RegexString (underscore prefix).

commit a261456a19c41a4ea8199330b837ebfe746d8bea
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 21:31:15 2008 +0200

    First in a series to unify the names of the attributes to use a single underscore prefix.
    
    This patch changes CfgParser.

commit f58a4ada9ac6af76e21cd7567d23f07df8da72fb
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 20:54:25 2008 +0200

    Remove moveVirtual() functions because they are useless without viewports.

commit a0a0845f35fcccd9542f7344e3f63d1dc553c39b
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 00:19:04 2008 +0200

    Final patch in the remove-viewport-series. It removes the files src/Viewport.{cc,hh}.

commit d12baa0b8b09b3ca6cdde8d15950fc422a322163
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 00:18:36 2008 +0200

    Remove viewport support in AutoProperties.

commit 488839cf814b889ac56ac76a03d735cb833f5819
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 00:17:26 2008 +0200

    Remove (part of) the viewport documentation.

commit 440d3802988546b0a550235d540fb81d3a232b67
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 00:16:40 2008 +0200

    Remove the viewport related lines from the example configuration files (data/{config.in,keys,mouse}).

commit ba2f143a872cb1f0d1ec1496cd0adf4fa09eea91
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 00:15:09 2008 +0200

    Remove Viewport.{hh,cc} from src/Makefile.am.

commit 3ff12fec2ae36ae349cc3432db729c0ef301e134
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 00:14:59 2008 +0200

    Remove Config::getViewportCols() and Config::getViewportRows().

commit a42c7dff36f206daf04d2cf477d712a6e2260424
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 00:13:43 2008 +0200

    Remove call to Config::getViewportCols()/Rows() from Viewport::reload().

commit 55b2ff768aca0ff5df3d86006160892f6a670658
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 00:12:52 2008 +0200

    Remove viewport support from Workspaces.

commit 0f15d5b9cb0ec17dd7e4cf835f9950e73a60a702
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 00:12:16 2008 +0200

    Remove viewport support from WindowManager.

commit 322340998a0e70ed3340834ee8236f86d1da3033
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 00:11:19 2008 +0200

    Remove viewport support from PDecor.

commit d1c45c14d3c1f0eca496c2ccc254dae1826d61be
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 00:10:14 2008 +0200

    Remove viewport support from FrameListMenu.

commit 3a184d79bad85b50b33c2a2fa40790f2cb2a284b
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 00:09:39 2008 +0200

    Remove viewport support from Frame.

commit 0d6d9b1430e3c5928f0dccacdde531dc3e9f6d9f
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 00:08:11 2008 +0200

    Remove viewport from Client.

commit 6bdd8f05202b0f2fa2d780521d27872c3a05598e
Author: Andreas <ioerror@lavabit.com>
Date:   Mon Jul 28 00:07:51 2008 +0200

    First patch in a series to remove viewport support.
    
    This removes the viewport related enums from ActionType and the code from ActionHandler and Config.

commit 30fce123d106a9c154f640d92537ec79ab2511c0
Author: Andreas <ioerror@lavabit.com>
Date:   Thu Jul 24 00:05:45 2008 +0200

    Conforming to Extended Window Manager Hints 1.3.
    
    The window manager should remove _NET_WM_STATE from withdrawn windows.

commit bd4a3b117a499c7407adbcdb50a7fe42c54acaba
Author: Andreas <ioerror@lavabit.com>
Date:   Thu Jul 24 00:04:26 2008 +0200

    Fix: Unmapping an iconified window remapped it.

commit 6c26320a9565116adcaa71c90b6a656c0da547bc
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Jul 23 22:09:03 2008 +0200

    Make Frame constructor clearer by moving decor name lookup into a method.
    
    This was adapted from a patch from ioerror where the lookup had been put
    into a macro.

commit 8e159bd5eff3d4e40bc7b088fbe1ec32df4214a0
Author: Andreas <octopoda@lavabit.com>
Date:   Wed Jul 23 19:01:31 2008 +0200

    Removed pointer to WindowManager from Frame.

commit e245c6933397eab2c6064baa64f99ce0275a08f5
Author: Andreas <octopoda@lavabit.com>
Date:   Wed Jul 23 19:00:55 2008 +0200

    Removed pointer to WindowManager from ActionMenu.

commit ea0c5a0ef2935faa4c9186d0a59af3f6d4c80fb9
Author: Andreas <octopoda@lavabit.com>
Date:   Wed Jul 23 19:00:13 2008 +0200

    Removed pointer to WindowManager from ActionHandler.

commit 2f7c155c5f5871a86698b6dbb74a1b94c7fb0942
Author: Andreas <octopoda@lavabit.com>
Date:   Wed Jul 23 18:59:10 2008 +0200

    Removed pointer to WindowManager from Client. It uses WindowManager()::inst() now

commit 4bb165814983c252de9d476954f519dd50c6c0b4
Author: Andreas <octopoda@lavabit.com>
Date:   Wed Jul 23 18:55:47 2008 +0200

    Started to model WindowManager after the singleton design pattern.
    
    WindowManager has a static member pointer to its only instance now.

commit 00d4c0eae102d90ebd64a808b00282e9693e55db
Author: Andreas (ioerror) <ioerror@lavabit.com>
Date:   Mon Jul 21 23:24:41 2008 +0200

    Fix map/unmap issue with QT programs.
    
    ICCCM 4.1.4 advices the window manager to trigger the transition to
    Withdrawn state on real and synthetic UnmapNotify events.

commit 4de33c16cb96d5f1c8ff59c79e5cc9790d99de6a
Author: Andreas (ioerror) <ioerror@lavabit.com>
Date:   Mon Jul 21 23:24:41 2008 +0200

    Fix map/unmap issue with QT programs.
    
    ICCCM 4.1.4 advices the window manager to trigger the transition to
    Withdrawn state on real and synthetic UnmapNotify events.

commit 708893ab3d74a58840efa1690d7c393513ca93bc
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jul 20 18:06:11 2008 +0200

    Start on getting search results displayed in menu, this is buggy though

commit 9967401614c01db781298518a3f077d99dceeb32
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jul 20 18:04:41 2008 +0200

    Start on fixed width menus to be used in searchdialog for displaying results.

commit 9f962fdc6467af33afeeb4cdeb764fd75372f41f
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jul 20 17:54:11 2008 +0200

    Move wo_ref from CmdDialog to InputDialog as it is to be used in SearchDialog

commit 1e66925308a2555a698d511ac25cbc18ea039afe
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jul 20 17:36:13 2008 +0200

    Update keybindings with more emacs like bindings.

commit 30694ca1c2491d082798b0e76bae991e216855cf
Author: Andreas (ioerror) <ioerror@lavabit.com>
Date:   Sun Jul 20 15:17:38 2008 +0200

    Fix compile error with harbour being disabled.

commit 518b2c158aa11fb82e7d2cfb60629dc0e61f3c87
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Jul 17 10:41:24 2008 +0200

    Fix panel raising issue #30 reported and fixed by Jyri Jokinen

commit 73a359d0dc2a57473d7e3acfb3b17b4fa2735f55
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Jul 17 10:38:36 2008 +0200

    Fix following compile warning reported by Vladimir Marek
    
    source='ActionHandler.cc' object='ActionHandler.o' libtool=no \
            DEPDIR=.deps depmode=none /bin/bash ../depcomp \                                                                                                                                                           /usr/dist/share/sunstudio_i386/SUNWspro/bin/CC -DHAVE_CONFIG_H -I. -I..     -fast -xarch=generic  -I/usr/openwin/include -DMYSYSCONFDIR=\"/opt/pekwm-vlad/etc/pekwm\" -DMYDATADIR=\"/opt/pekwm-vlad
    "ActionMenu.hh", line 70: Warning: ActionMenu::insert hides the virtual function PMenu::insert(const std::wstring &, const ActionEvent&, PWinObj*, PTexture*).
    1 Warning(s) detected.

commit cf16ba2af3e0e61c3abe6b77a6445eba4e071102
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Jul 7 10:13:41 2008 +0200

    Use pkg-config instead of hard-coded test for libpng.

commit b61b31d0991dfb0a2780546f52d3822fb53b526e
Author: Claes Nästén <pekdon@hydrogen.lan>
Date:   Mon Jul 7 09:53:37 2008 +0200

    Fix broken reload, reload just re-set reload instead of doing doReload.

commit 32d274c8fa1ef063a5d43507535120eb5a40920b
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Jun 25 16:32:50 2008 +0200

    Improve on Xmb font loading, still not perfect

commit 19f469cfd93920571dc8d10bdbd4f2eddf4667d6
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Jun 2 21:24:20 2008 +0200

    Now it is possible to have font type as the first parameter to fonts.
    
    In order to support $FONT = "..." and then use $FONT#Center it is now
    possible to specify the font type as the first paramter to fonts closing
    ticket #22.

commit 3c23a47f1043de63684bbce7945bed8f4c947450
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Jun 2 20:50:01 2008 +0200

    Introduce WorkspaceIndicatorScale option.
    
    WorkspaceIndicator should render in a nicer way for various
    head layouts now. To change the size of the indicator edit
    the WorkspaceIndicatorScale option in the Screen section of
    the main configuration. Higher value means smaller size.

commit 71a06368d206941e3bff283f10d463feaa872bc7
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Jun 2 20:34:28 2008 +0200

    Change SVN to GIT in configure.ac

commit efe2f71cb34805abcf371642d03cf1cd7934720f
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Jun 2 20:34:06 2008 +0200

    Try to avoid warnings from Sun Studio compiler.
    
    Based on the reports from Vladimir Marek <vladimir.marek@sun.com> this
    tries to fix some compilation warnings.

commit b026694cb86fdc2e7f95f3c7b76eab05e8939ffc
Author: Claes Nästén <me@pekdon.net>
Date:   Wed May 28 23:14:37 2008 +0200

    Enable xinerama by default when available.
    
    There's no point in not enabling Xinerama by default anymore as there is
    not single/multi-head specific code left after the introduction of Xrandr
    support.

commit 52ce676b7d132a3364644a0d2a2a6abe839221e4
Author: Claes Nästén <me@pekdon.net>
Date:   Wed May 28 23:13:21 2008 +0200

    Get InputDialog size from the current head and not the full screen.
    
    Previously the InputDialog became a bit silly in it's size being /4 of the
    screen width which on > 1 screen setup is very big. Currently using /3 of
    the head the dialog is being mapped on.

commit 3f0a2d4a3b1c31dc3cccfb37c416868b5ec854d0
Author: Claes Nästén <me@pekdon.net>
Date:   Wed May 28 09:04:38 2008 +0200

    Fix layer in default autoproperties and add workspace indicator decor to theme.
    
    Just adding some minor configuration tweaking, templates should be implemented
    and put in use before 0.1.7 though.

commit 63947a4310cb5c0fd8b2391db1770fd651565e55
Author: Claes Nästén <me@pekdon.net>
Date:   Sun May 25 20:18:37 2008 +0200

    Add Pager and Taskbar to the Skip option.
    
    In order to hide things from the pager and taskbar, now it is possible
    to add Pager and Taskbar to the Skip autoproperty.

commit 08e6dcbf26df10bbc060748aae5c2231e76f4c84
Author: Florian Hoppe <flp@floppi.de>
Date:   Sun May 25 15:37:22 2008 +0200

    Patch fixing typo/ops in atom names for _NET_WM_STATE

commit 975484e1ab6d3893eab1a1e955bc704178cc2126
Author: Claes Nästén <me@pekdon.net>
Date:   Mon May 19 23:21:49 2008 +0200

    Start implementing SearchDialog.
    
    Start of SearchDialog which will let you type in a name of a aclient and will
    then show a list of matches, selecting will give the client focus.

commit e50493e87167fcb3fe71da6609410e79eaa19801
Author: Claes Nästén <me@pekdon.net>
Date:   Mon May 19 23:17:22 2008 +0200

    Avoid looking for timeouts when alarm has not been signalled.

commit 3021352e4793b2f84bec83149bb6b1bf207eef54
Author: Claes Nästén <me@pekdon.net>
Date:   Mon May 19 22:44:17 2008 +0200

    Separate InputDialog more from CmdDialog
    
    Rename all CMD_D_ actions to INPUT_ actions. Change CmdDialog configuration
    to InputDialog, however legacy CmdDialog section name is still allowed.

commit 9b19ab253c726a6d4a0d061753c3bc927b01646f
Author: Claes Nästén <me@pekdon.net>
Date:   Mon May 19 16:47:33 2008 +0200

    Use XPending instead of QLength to avoid issues waiting for events

commit 96876272a554e578161bf65a8abeb465d1d54a87
Author: Vladimir Marek <vladimir.marek@sun.com>
Date:   Sun May 18 19:57:24 2008 +0200

    Fix include of Xutil.h for Solaris 9
    
    I tried to compile pekwm on Solaris 9 and hat to tweak few bits
    and pieces. First of all, X11/Xutil.h is not automatically included by
    other X headers.

commit 36c965e05291d7a7b34a136df882a23921dcb806
Author: Vladimir Marek <vladimir.marek@sun.com>
Date:   Sun May 18 19:54:43 2008 +0200

    Add check for timersub as it is not available on Solaris 9
    
    I tried to compile pekwm on Solaris 9 and hat to tweak few
    bits and pieces... Second, Solaris does not have timersub function.

commit 7a38ef69b4c4a3a7e4d869f45dfc635339fc41a8
Author: Claes Nästén <me@pekdon.net>
Date:   Fri May 16 09:18:32 2008 +0200

    Small fixes, s/color/font_color/ and cleanup WorkspaceIndicator window

commit 7ae00fb9507e06a97848166c134bb99138776cc0
Author: Claes Nästén <me@pekdon.net>
Date:   Fri May 16 09:17:05 2008 +0200

    Fix button and arrow color in default theme

commit 30737606e6fec76b3286dadf1e4b674949fe6aa6
Author: Claes Nästén <me@pekdon.net>
Date:   Fri May 16 09:12:41 2008 +0200

    New even more minimalistic default theme

commit 58b587a4837eb692b6b6b63e968dd93aa04e9bf1
Author: Claes Nästén <me@pekdon.net>
Date:   Fri May 16 08:50:54 2008 +0200

    Add new workspace configuration options
    
    Added WorkspacesPerRow, WorkspaceNames and ShowWorkspaceIndicator
    options to default configuration file.

commit 1e0a4d756929d1284266f51aec84c68226b815ca
Author: Claes Nästén <me@pekdon.net>
Date:   Fri May 16 08:50:09 2008 +0200

    Re-indent config.in and drop the tabs

commit e917577820bb9dc34deb9fbafbfac2e5d0616c7c
Author: Claes Nästén <me@pekdon.net>
Date:   Thu May 15 22:14:48 2008 +0200

    Start splitting CmdDialog into CmdDialog and InputDialog

commit e52c1a61d54a23e318d2c0bc30960ddf00a81d14
Author: Claes Nästén <me@pekdon.net>
Date:   Thu May 15 21:44:54 2008 +0200

    WorkspaceIndicator for showing current workspace on workspace change.
    
    Initial commit getting a WorkspaceIndicator into place, this also introduces
    WorkspaceNames configuration parameter setting names of workspces. Will
    follow up with a more detailed description when configuration is done.

commit 4ba8d3442ee0efa436cddd39748218de102242a9
Author: Claes Nästén <me@pekdon.net>
Date:   Wed May 14 19:30:53 2008 +0200

    Fix bug in status window placement and move drag starting point

commit b5b698cc7dae7b7238abbd06bf83b3f47bb8e4c0
Author: Claes Nästén <me@pekdon.net>
Date:   Wed May 14 19:29:56 2008 +0200

    Bug fixes for the new Timer

commit 6157610cc2dafebc54fd026b8ce2d8a98e2ef58c
Author: Claes Nästén <me@pekdon.net>
Date:   Wed May 14 19:26:52 2008 +0200

    Add HeightAdapt option to themes.
    
    In order to be able to have a sane height on titles a HeightAdapt
    option that is put in the Title section of Decors have been added
    which uses the height of the font to calculate the height of the
    titlebar.

commit d5a97a09415c90f36d9404943f736ba3f2de0758
Author: Claes Nästén <me@pekdon.net>
Date:   Tue May 13 21:56:20 2008 +0200

    Add action timer to window manager.
    
    Adding action performed timer into window manager
    main loop, preparing for timed out actions.

commit c108eacc54001f7ddf9e47c67d7cb6269fbdd47a
Author: Claes Nästén <me@pekdon.net>
Date:   Tue May 13 20:40:58 2008 +0200

    Start on Timer class, initial going to be used to hide workspace indicator.

commit 7322751b40d1e2b7e9b9eac12652d667cf9319a8
Author: Claes Nästén <me@pekdon.net>
Date:   Tue May 13 20:37:14 2008 +0200

    Use signal interuptable event loop.
    
    Using own getNextEvent which waits for connection data with select
    in order to not block signals preparing for timers and fixing issue
    with pressing Ctrl-C/Reload and then having to generate an event
    before activating the changes.

commit ec30ad6bfd59c42019f6803337799669d6b47dfe
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Apr 30 11:35:09 2008 +0200

    Add index.in.xml, was not in previous doc commit.

commit 5639e7023d4b14e4d7d0540e162f533576fcbba7
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Apr 29 22:29:53 2008 +0200

    Add current documentation to repository

commit e4bcf09ad348cb06157d138049837407ca883dd2
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Apr 27 16:13:53 2008 +0200

    Fix issue with edge snapping and struts.

commit 0b45810f97d2f3217919db563d904cd1f077a13f
Author: Claes Nästén <noosnascla@noosnascla-laptop.(none)>
Date:   Sun Apr 27 15:35:40 2008 +0200

    Make EdgeSize support different sizes per edge.
    
    EdgeSize now supports the two following types of configurations making it
    possible to have an edge active only on one edge of the screen:
    
    EdgeSize All
    EdgeSize Top Bottom Left Right

commit 3edd3961a303c13771179e87089d3123167019bc
Author: Claes Nästén <noosnascla@noosnascla-laptop.(none)>
Date:   Sun Apr 27 14:47:25 2008 +0200

    Add EdgeIndent option to Screen section.
    
    The EdgeSize option sets the edge size for the display, in order
    to reserve this area one can set EdgeIndent option to True and
    windows will not maximize over the edge.

commit 87221092dfda57acf0297ca9b36dcdae7ce7035f
Author: Claes Nästén <noosnascla@noosnascla-laptop.(none)>
Date:   Fri Apr 25 16:13:00 2008 +0200

    Improved RandR support now unified with Xinerema support for multi head.
    
    Simple multi-head setup seems to be working fine with RandR support, have
    not yet tried shrinking the screens and compiled this on any other platform.
    
    Now configure depends on >= 1.2 version of xrandr.

commit e66df78c316b16695c1b642beca05b4275e26676
Author: Claes Nästén <noosnascla@noosnascla-laptop.(none)>
Date:   Fri Apr 25 15:47:52 2008 +0200

    Remove PCRE support, distributions adds unneeded dependencies on this.

commit 9a20eaac0053f3ab4dba562442daf9b4798fb36a
Author: Claes Nästén <noosnascla@noosnascla-laptop.(none)>
Date:   Fri Apr 25 14:39:59 2008 +0200

    Left overs from previous commit, wrong year and dockapp.hh warnings.

commit 10f2733dd0b4d2400e1cade1b6a92b6a6225fec5
Author: Claes Nästén <noosnascla@noosnascla-laptop.(none)>
Date:   Fri Apr 25 14:32:44 2008 +0200

    Compile fixes for g++ 4.3
    
    Nothing major done here, just some missing includes and updates on copyright
    and include orders.

commit dc804dfd11bc21e8df55f7cb42469143b0834635
Author: Claes Nästén <noosnascla@noosnascla-laptop.(none)>
Date:   Fri Apr 25 11:23:32 2008 +0200

    Apply patch from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=474871
    
    Apply patch from debian fixing GCC 4.3 compile issues, need to get a local
    installation of GCC 4.3 to verify compliance.

commit c4395aeceaf3935afbb0fa027e7f8f0001d81bb0
Author: Mathias Gumz <akira at fluxbox org>
Date:   Sun Feb 24 16:54:08 2008 +0100

    Fixed a problem when reading _NET_WM_ICON on 64bit systems
    
    The actual data format coming back from XGetWindowProperty is 'long',
    even when the returned format suggests its 32. 'long' on 64bit is 64bit
    and thus casting the returned data to CARD32 does not work since it is
    32bit.

commit 5d5bbc1049c94c26e4eda2fbdfe3f2be1a1cf874
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jan 6 22:16:02 2008 +0100

    Use pkg-config instead of xft-config for Xft detection.
    
    It seems as if xft-config script has been replaced with pkg-config
    configuration, use that instead.

commit af457140647a7e3ee2631a26312cc05c79da6770
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Dec 6 23:18:59 2007 +0100

    Apply patch from neuron fixing includes on Solaris.
    
    Add Xlib.h on some files to make compilation work  under Solaris with
    Sun Studio compiler.

commit 68113dcffa208806461c1bae9fe12a1a0f74c27d
Author: Claes Nästén <noosnascla@noosnascla-laptop.(none)>
Date:   Tue Oct 23 13:25:27 2007 +0200

    Add icon to goto next/prev menus.
    
    Added icon to goto next/prev menus after vr requested it in #pekwm.

commit 950ac2bfd8e04ebe9b819c9be389486d9134c163
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Oct 1 01:00:31 2007 +0200

    Fix wrapping in workspace actions.
    
    Fix wrapping in up and down workspace actions. Fix compile error reported
    by Christian Bryn.

commit 47e3ef5856781019a29ad34deb72f8d6d3ae17af
Author: Claes Nästén <noosnascla@noosnascla-laptop.(none)>
Date:   Sun Sep 30 17:06:47 2007 +0200

    Add workspace rows to get more flexible workspace layout.
    
    Added WorkspacesPerRow parameter to the Screen section of config to support
    grid layouts for workspaces. To navigate workspaces the following actions
    parameters was added workspace actions (GotoWorkspace etc):
    
      * WorkspaceUp, up without wrapping.
      * WorkspacePrevV, up with wrapping.
      * WorkspaceDown, down without wrapping.
      * WorkspaceNextV, down with wrapping.
    
    Also actions taking a workspace as parameter now support ROWxCOL syntax.

commit 49b4498642ec6fcc5b815f72e1a83fe532486666
Author: Jyri Jokinen <shared@adresh.com>
Date:   Fri Sep 7 15:27:29 2007 +0200

    Hopefully fixed default themes font problems.
    
    No fonts in window titles/menus/anywhere on clean install.

commit 989bfa147c3ef2e6d9e4af3afa441696d95839e2
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Aug 18 19:27:40 2007 +0200

    Start restructuring for alpha aware rendering.

commit d21a3132a6a7c1697f92f53c07a8d70ecce19553
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Jul 6 21:05:42 2007 +0200

    Add reference counting to texture created outside of texture handler.
    
    Added referenceTexture to TextureHandler adding support for increasing
    reference counts of TextureHandler unowned textures and via owned pointers.
    Reference icon textures in PMenu::Item.

commit 3b52fae9b88d3189648104b846c278aaa6d2d140
Author: Claes Nästén <pekdon@hydrogen.pekdon.net>
Date:   Wed Jul 4 22:05:33 2007 +0200

    Cleanup, memory leak in ImageHandler not freeing images.
    
    The ImageHandler did not handle return of images correctly, it did decrease
    the reference but it failed in deleting the entries as && and not || was
    used for _free_on_return check.

commit 724bdd578c344831e2f204550a9897a515f851fe
Author: Claes Nästén <pekdon@hydrogen.pekdon.net>
Date:   Wed Jul 4 00:13:49 2007 +0200

    Cleanup warnings identified with valgrind.
    
    Fix memory leak  in Xft font handling, both font and font colors.
    Fix image handler info about leaked images on shutdown.
    Fix client failed icon loading memory leak.

commit 0f917e947c42f87bda5317803a329323e06c7e9e
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Jul 3 07:27:12 2007 +0000

    pekwm trunk Change font color alpha to percent.
    
    Change font color alpha to percent instead of absolute value.
    Fix compile warning in PMenu caused by incorrect order of members in
    constructor.
    Fix bug in ImageHandler checking != begin instead of != end.

commit dfe361a442a9e0a504b1cf5a9cddd4488aa53076
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Jun 25 18:44:35 2007 +0000

    pekwm trunk Add initial icon support.
    
    Added support for rendering icons on menus and reading the _NET_WM_ICON
    property from clients. Currently there are some bugs related to reloading
    and drawing of transparent data.

commit 2ec3e1b8813ebbd118c55974719e920359de3630
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jun 24 14:45:14 2007 +0000

    pekwm trunk Improve xinerama strut handling and iconv autoconf check.
    
    Fix for strut handling and xinerama, previously ignored head specific struts.
    Add iconv check to autoconf.

commit 71415163e01dcbf8dadb57b666679858a93c5304
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jun 24 12:55:39 2007 +0000

    pekwm trunk Start using XMB fonts as default if no type is specified.
    
    Default to XMB style fonts and not X11 when not specifying font type,
    last step for fixing basic UTF-8 string rendering. Closing #15

commit b3306dfcc8f2ec55436e7900fe48bdfb4481b68d
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Jun 24 12:26:40 2007 +0000

    pekwm trunk Add PWinObj::moveResize
    
    Add moveResize method to PWinObj to make maximize and fullscreen more
    efficient.

commit 0c28297c218cc6e7c06e8f1f58ddceddccf99628
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Jun 22 11:57:02 2007 +0000

    pekwm trunk Fix issue with ShowFrameList parameter.
    
    Fixed issue with ShowFrameList paramter caused by re-drawing titles of
    window being destroyed.

commit 64f5d4f06b1e962ba55f5310881a2c0a783349f1
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Jun 19 15:37:52 2007 +0000

    pekwm trunk Re-enable Xmb fonts.
    
    Added code for Xmb fonts back in using Xwc set of functions.

commit 0ae82957c742c38e1276a643a0baa247d9c94857
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Jun 19 08:25:18 2007 +0000

    pekwm trunk Add read support of _NET_WM_NAME.
    
    Added _NET_WM_NAME read support for handling UTF-8 titles in Firefox etc.

commit cb2b1acfaf6012e55ef7d3c83ad670c834a0805e
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Jun 18 22:22:35 2007 +0000

    pekwm trunk Initial iconv support.
    
    Start using iconv in from and to utf8 string.

commit de56e84c81fba58c30caf857b3de0e6ee1f0fb12
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Jun 18 19:17:23 2007 +0000

    pekwm trunk Start on wstringification.
    
    Started work on wstringificaton, seems to be mostly working when using an UTF-8 locale.
    Have not tested compilation on various platforms and iconv is still not used in
    to_utf8_str and from_utf8_str, also _NET_WM_NAME should be read for client titles.

commit 5b58f3ae071be6512142b9859f1021f4f18bafac
Author: Claes Nästén <me@pekdon.net>
Date:   Thu May 31 20:11:53 2007 +0000

    pekwm trunk Add fix for broken iconified state.
    
    Add fix for broken iconified state after restart. Closing #38
    (Thanks giuliani{.}blackfenix{@}gmail{.}com for reporting)

commit ebdc6b2ef7196e0fb4617d9c45f1a95386d09e33
Author: Claes Nästén <me@pekdon.net>
Date:   Thu May 31 19:13:16 2007 +0000

    pekwm trunk More work on autoproperties handling.
    
    Now 0 width/height in geometry auto properties mean to use the screen
    width/height. Added type autoproperties to autoproperites file together with
    removal of border and titlebar for mozilla firefox.

commit 8d42d9143c4b9284a414baa560827ce0f1c8edc3
Author: Claes Nästén <me@pekdon.net>
Date:   Wed May 30 23:02:55 2007 +0000

    pekwm trunk Made _NET_WM_WINDOW_TYPE configurable.
    
    Made the _NET_WM_WINDOW_TYPE handling configurable, still some small tweaks
    left in the auto properties for handling geometry expanding to the screen
    value.
    
    Fix bug in CfgParser causing data being parsed twice.

commit e614871d6a67fd06dc85707f19609865ca55edd6
Author: Claes Nästén <me@pekdon.net>
Date:   Tue May 29 21:16:42 2007 +0000

    pekwm trunk Add shaping of non-corner border windows. Closing #97
    
    As requested by julien in #97 issue report shaping of non-corner windows
    has been added.

commit 557fd7130b152ee07fa7aed296655c0da8ec6ace
Author: Claes Nästén <me@pekdon.net>
Date:   Mon May 28 15:02:22 2007 +0000

    pekwm trunk Make ready for 0.1.6 release.
    
    Just marking ChangeLog and configure.ac with 0.1.6 version.

commit f9a0cda03104d4c861761208a3bb249983ca71aa
Author: Claes Nästén <me@pekdon.net>
Date:   Mon May 28 13:36:34 2007 +0000

    pekwm trunk WM_HINTS InitialState fix, closing #33.
    
    Add missing setWmState call if no WM_HINTS was set on window, closing #33.
    Fix bug in giveInputFocus forming invalid WM_PROTOCOLS WM_TAKE_FOCUS requst
    causing applications not following the focus model.

commit 48890a5adfa0f8ddf6744285606cff45f6c20a50
Author: Claes Nästén <me@pekdon.net>
Date:   Mon May 28 11:41:30 2007 +0000

    pekwm trunk Focus changes, WM_TAKE_FOCUS handling.
    
    Re-worked the focus handling to look at WM_TAKE_FOCUS and the input flag
    in the WM_HINTS not sending focus in events to clients that do not want
    them. This seems to have fixed focus issues with Java Swing applications
    and OpenOffice.org tool popups.

commit 473f476ea3ffdd5c69845928b8480f46471dd7b9
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Mar 29 05:22:37 2007 +0000

    Fix compiling under solaris, lacked std:: for type name and missing return
    in bool function.
    
    If not HOST_NAME_MAX is define, define as 255.

commit a518482cbf132d5e824fcafc757992e7e19edb07
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Mar 28 11:39:25 2007 +0000

    Added setting of _NET_WM_PID on the root window to support correct
    reloading of the window manager from another application.

commit f911c694fa6aff30f72544648b51d2beb7b6e171
Author: Claes Nästén <me@pekdon.net>
Date:   Sat Mar 10 10:24:33 2007 +0000

    Fix missing expansion of environment variables in configuration files,
    prefixed by $_. Fix missing std:: in PWinObj header file.

commit a44751648b925e65760ea02b4e00c4ceae1c3625
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Jan 31 22:07:37 2007 +0000

    Add fix for #99 cause by broken optimisation introduced in r119
    reported by okratis.
    
    Add shaping to titlebar buttons.

commit c3b534c3c23d719b17a05457156a283ba28807a3
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Nov 13 14:09:38 2006 +0000

    Use UTF-8 draw on Xft fonts, should sanitize this. Fix dockapp size
    handling to properly center apps.

commit cb184d75801787c153b7f602bccdff82e9ad3910
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Sep 29 14:06:52 2006 +0000

    Changed wo_list to vector from list. Added dirty_resized check in PDecor
    to reduce the amount of calls to the PixmapHandler.

commit 75c1e5d04ddac56feeabaea517ff077335bd0016
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Sep 27 15:47:11 2006 +0000

    Added a map of Window to PWinObj for faster lookup as findPWinObj is a
    very frequent call.
    
    Updated to not create the list twice (one list and one array) as this is
    called everytime a window is created, removed, lowered and raised.
    
    Added skipping of menus and focus toggling for docks, works better together
    with gnome-panel.

commit 7a6c7de601f95e1167e0da8411f6e7cb1ff7b61a
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Sep 21 13:32:41 2006 +0000

    Use map instead of list in PixmapHandler and remove threshold parameter.

commit 97bfb60c91fb0e98cd1f23369067611d00f2b962
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Sep 11 14:18:55 2006 +0000

    Updated FindClient action to match against the visible title and not
    the Client set one.
    
    Updated parse match to support parsing of // style regular expressions
    having flags set. Currently only i flag supported. This type of
    expressions is currently only possible on the FindClient action.

commit 12ee025692dbeefce73a4fd4bec3babe2d3f3459
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Sep 8 13:53:37 2006 +0000

    Fix crash OPS in WindowManager introduced with new handling of focus and
    CmdDialog. Sort Client and Frame id lists.

commit f67f33bc6d00565dde5b5594b1a5ae840aa1aeef
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Sep 7 19:49:48 2006 +0000

    Fixed ops causing Client::findClient never finding a Client based on
    the parent (Frame) causing Frame::doGroupingDrag not to work.
    
    Thanks shared for reporting.

commit 52b421805ef30c1a1f2abeadbafc9fcff1eaeef5
Author: Jyri Jokinen <shared@adresh.com>
Date:   Thu Sep 7 15:15:20 2006 +0000

    Added ShowClientID (false) to default .pekwm/config.
    Added ShowCmdDialog GotoClientID to default .pekwm/keys.

commit 9ea5b5de0213361dc8967451c52c5e5010fb4bee
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Sep 7 13:59:12 2006 +0000

    Updated ShowCmdDialog action to support parameter setting initial
    value. Useful together with action such as GotoClientID binding
    a keybinding to ShowCmdDialog GotoClientID for quick navigation.
    
    Added GotoClientID action which goes to and focuses client with ID.
    
    Added boolean option ShowClientID under the Screen section of the
    main config file. This enable/disable display of Client ID in titles.
    
    Moved Frame and Client list related actions from WindowManager to Frame
    and Client.

commit d4eb646686a5b265539a1659c2c20f88be93efc6
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Sep 6 21:39:28 2006 +0000

    Moved the Client list to Client. Added clientid list to Client so that
    it is possible to keep track of Client ids, preparation of number
    based navigation.

commit ba4dffd8ccd1e2a8e212fbe4068643769625d898
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Sep 6 20:18:09 2006 +0000

    Extend PDecor::TitleItem with information to include client id.
    
    Moved the Frame list to Frame.

commit 605c8bbd246f2b688a742747ef6bc90b62cb9c85
Author: Jyri Jokinen <shared@adresh.com>
Date:   Tue Sep 5 13:03:30 2006 +0000

    Renamed KILL action in CmdDialog as ClearFromCursor.
    Added ClearFromCursor to default keys.

commit 032a29e593486970993bab8bae6c00351a67c391
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Sep 4 07:23:50 2006 +0000

    Added KILL command to CmdDialog. Small cleanups in indenting.

commit fbe2f8ec4113dd691b2bce3ca4c0bfece9c6c408
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Aug 31 12:22:30 2006 +0000

    Moved tagged information to Frame instead of extremely incorrect placed in
    WindowManager.

commit 4c677f297a9a564d91018bd8b8108c9c877c32d2
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Aug 30 15:17:31 2006 +0000

    Created new _PEKWM_TITLE atom used to save titles between restarts.

commit 4520186742e01c21467b8a2a166235d012def8f3
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Aug 30 14:51:22 2006 +0000

    Plug major memory leak in CfgParser and create saner error messages when
    parsed data has invalid syntax.

commit 0c737d4ba146b08fa2fb30e115473c279a57becb
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Aug 30 12:06:58 2006 +0000

    Update PDecor::doMove to only use the root position of the pointer to
    support more ways of initiating moving and then also keep correct position.
    Close #94
    ( Thanks Jowi and shared for reporting )
    
    Removed debug output from Client::configureRequestSend.

commit 20338cd8d678084af0043c1aa3a71bc47c729cef
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Aug 30 07:41:36 2006 +0000

    Start re-indenting code using spaces.

commit 6a9025b237a510dad5681f33d540f7aa213a4486
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Aug 28 06:36:32 2006 +0000

    Fix issue in reload causing dangling pointer to custom menus hang
    around in the list of menus. Should improve on reload crash situation
    #92 and #96.

commit 5b6372064c08748a9080f28f31676aba80cf96ef
Author: Jyri Jokinen <shared@adresh.com>
Date:   Wed Aug 23 14:45:02 2006 +0000

    data/keys, Added: KeyPress = "Mod4 T" { Actions = "Toggle Tagged False" }
    It is criminal there was no shortcut for (un)setting the Tag state.

commit 7b5e4b0ca0b6178ba9095ff0e79b6c72bfe73fcc
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Aug 23 09:50:16 2006 +0000

    Duplicate API for handling marked state on clients causing updates not being
    reflected when attaching marked clients.

commit d0a2991e8a1e8c6628a56863a99c1af8c746e284
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Aug 23 07:21:46 2006 +0000

    Closing #47 "(request) rewrite titles of marked windows"
    
    Reworked PDecor::TitleItem to support holding extra information that can be
    modified independently from the real title content. Currently the only
    data supported is the marked info.

commit ddc2d171582e1e7b62bf6accf6698a0bcc4771b2
Author: Claes Nästén <me@pekdon.net>
Date:   Thu Aug 10 20:41:00 2006 +0000

    Moved dynamic flag to PMenu::Item from ActionMenu::DItem and remove
    ActionMenu::DItem. Rework hide submenus in PMenu.

commit e327b2387e0a041612454253fead087edec5677a
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Aug 1 14:31:03 2006 +0000

    Fix compile warnings in Atoms and Client.
    
    Moved skip attribute to PDecor from Frame, adding check to skip those
    PDecor's when checking snap. Closing #95
    ( Thanks shared for reporting )

commit f190d0e8288ff813ac8512d983d0772372137fde
Author: Jyri Jokinen <shared@adresh.com>
Date:   Sun Jul 30 13:52:23 2006 +0000

    Made default window menu entrt names less cryptic.

commit 49b14e9cc4a4feff0f12b63292a809cfb1984331
Author: Jyri Jokinen <shared@adresh.com>
Date:   Mon May 29 15:57:22 2006 +0000

    Added "Toggle HarbourHidden" under Mod4+H (or Ctrl+Mod1+P-H),
    and moved HideAllMenus out of the way to Mod4+X (or Ctrl+Mod1+M-X).
    
    Mod4+X because Ctrl+X is Cut in many applications, and cutting makes
    things disappear from screen. Took some thinking, but it was way better
    than sticking with H and using two modifiers for it.

commit 997ebc738c21e23a338cfd8391cedc5064cfff4c
Author: Claes Nästén <me@pekdon.net>
Date:   Mon May 29 13:41:01 2006 +0000

    Created new state action HarbourHidden. Closing #89
    
    Removed ROOT command support. Closing #93
    ( Thanks shared for reporting )

commit e332bd6657ef6041b7a70cc3d011d56cae55f160
Author: Claes Nästén <me@pekdon.net>
Date:   Mon May 29 06:28:30 2006 +0000

    Removed ROOT command functionality. Closing #93
    More paranoid code in PMenu

commit 586899b9da132b482731ab79d866a39d02e51e6c
Author: Jyri Jokinen <shared@adresh.com>
Date:   Thu May 25 14:02:25 2006 +0000

    Added Mod1 with mouse button 1 to toggle maximized state. (Can someone
    tell what demons made me not realize it was missing before this?)

commit 98262e459fd39206088b981d4acaa1a2789aa493
Author: Claes Nästén <me@pekdon.net>
Date:   Tue May 2 20:24:26 2006 +0000

    Revert of changes, GCC is not a friend of them.

commit a2b8c8866dd2dd1db9a7b2d595cbca72a36c9869
Author: Claes Nästén <me@pekdon.net>
Date:   Tue May 2 19:45:25 2006 +0000

    Sun Studio compile warning fixes.
    Ops in PFont ignoring max_chars parameter (not in use).
    Split up CfgParser::load

commit d3c7d0e36cb331f234084cdf5a8ba1420d969708
Author: Claes Nästén <me@pekdon.net>
Date:   Mon May 1 21:11:25 2006 +0000

    Added boolean option to {Next,Prev}Frame set of actions to allow
    inclusion of iconified windows. Closing #59
    (Thanks shared for request)
    
    Added SendToViewport Col Row action. It does not implement relative
    viewport sending. Closing #70
    (Thanks Largon for request)
    
    Fixed ops in menu code in previous revision.
    Added PadType to differ between direction and pad.

commit 3476ccca4f739cc038d1d4e711ce5d76fa37120c
Author: Claes Nästén <me@pekdon.net>
Date:   Mon May 1 15:17:57 2006 +0000

    Extended the ShowMenu functionality to include custom menus.
    Example, by adding the following to the menu configuration file:
    
    ExampleMenu = "Example Menu" {
      Entry = "Example Entry" { Actions = "Exec xmessage Example" }
    }
    
    And then issuing the action ShowMenu ExampleMenu it would pop up
    the menu defined. Closing #68
    
    NOTE: The menus names are case insensitive, meaning it is NOT possible
    to have TestMenu and TESTMENU. This only applies for root level
    menus, and not submenus of a menu.
    
    (Thanks buk{@}nurfuerspam{.}de for request)

commit ecc111f6ef162e7ba470ce0976cb810de56d6ad5
Author: Claes Nästén <me@pekdon.net>
Date:   Fri Apr 28 11:38:42 2006 +0000

    Updated workspace switching and unmapping of window objects to avoid
    windows being rendered as focused when they are not. Closing #87
    
    Fixed ops not handling sticky window value. Closing #86
    ( Thanks Skot for reporting )

commit 23a46f91972c3d5c635166c77d68ad329b82f03c
Author: Claes Nästén <me@pekdon.net>
Date:   Tue Apr 18 19:33:02 2006 +0000

    Added missing man page target in Makefile.am.
    ( Thanks nice for reporting )

commit ab432e974899e232177c14b0be5719003f74b2b0
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Apr 17 17:51:29 2006 +0000

    Revert menu changes

commit 308f549f80ac2dcc142eee2e9198d627669b1292
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Apr 17 16:25:06 2006 +0000

    Preparation for 0.1.5 release

commit e921b6a259ffa3101c2cdad6a19eb7d704a543a8
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Apr 17 13:52:49 2006 +0000

    Re-enabled the use of ApplyOn = "Workspace" for autoproperties.
    Closing #55
    ( Thanks nospaulatu{@}gmail{.}com for reporting )

commit 7b4021054fd75043aac3764e9a48648fb3d93e0d
Author: Claes Nästén <me@pekdon.net>
Date:   Mon Apr 17 10:52:29 2006 +0000

    Fixed ops distributing uneven pixels in tab calculation that caused
    pixels missing from the title.
    
    Updated menu rendering to properly honour padding and justification.
    Closing #46 and #74.
    ( Thanks shared and buk for reporting. )

commit ea6624c8067068cc1ac24086bf585c80a72a0c9b
Author: Jyri Jokinen <shared@adresh.com>
Date:   Mon Apr 17 00:51:23 2006 +0000

    Added OffsetX and OffsetY to default config.
    Fixed the hopefully last brainfart in def. menu.

commit 13a4a8338d36cba63653421a5fe6c04e5aa31455
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Apr 16 23:13:20 2006 +0000

    Added Last parameter to GotoWorkspace and SendToWorkspace actions
    activating/sending to last active workspace. Closing #79
    ( Thanks Tomas Dvorak <dvorakt1{@}fel{.}cvut{.}cz> for request. )
    
    Fixed bug in parsing of # and // comments not parsing the content
    of the line in CfgParser.
    ( Thanks shared fore reporting. )

commit d6e5cb613f4c27cc932423f85e36f68290903592
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Apr 16 22:13:41 2006 +0000

    Switch position of row/col placement. Closing #60
    ( Thanks koniu{@}sheket{.}org for reporting. )
    
    Updated and applied patch from koniu{@}sheket{.}org to add OffsetX
    and OffsetY options to smart placement to pad with x/y pixels.
    Closing #61
    ( Thanks koniu{@}sheket{.}org for patch. )

commit a5fb33d393ed6ca693071c9830f8598bdb3604ea
Author: Claes Nästén <me@pekdon.net>
Date:   Sun Apr 16 21:15:39 2006 +0000

    Remove max allowed WidthMin value check from theme parsing.
    
    Fixed dangling reference crash in configuration parser, triggered by the
    parse_key_value feature of the CfgParser. Closing #84
    ( Thanks shared for reporting )
    
    Removed size limiting in resize. Closing #73
    ( Thanks shared for reporting and dvorakt1{@}fel{.}cvut{.}cz for proposed
      solution )

commit 7c70161a31645ef4a9318aabf45ac1e21d01f423
Author: Jyri Jokinen <shared@adresh.com>
Date:   Sat Apr 15 22:54:06 2006 +0000

    One stupid typo. s/_/-/ on the menu filter script. *sigh*

commit c1d89aa40ddffa7f7e53516cbfefcee11b7a1714
Author: Jyri Jokinen <shared@adresh.com>
Date:   Sat Apr 15 20:06:10 2006 +0000

    More applications on the default menu. Also, a big fat reminder that
    people should now run the menu cleanup script to avoid confusion and
    usuless entries. Not a too big doff, have to commit or I'll forget.

commit e4cddabf9fadd3431ed4556d43a146f8025b3fda
Author: Jyri Jokinen <shared@adresh.com>
Date:   Sat Apr 15 17:32:08 2006 +0000

    Removed pekwm_window_info.sh script. This was added too soon and had
    no actual support coded in and therefore could never function.
    
    Added pekwm-filter.sh, a tool to purge non-existant applications out
    from the users root menu. Also made it easily accessible from the
    default menu.
    
    Made default menu compatible with said filter script.

commit 354633b39ed077acf13120beba01b86dbe7f46a0
Author: Jyri Jokinen <shared@adresh.com>
Date:   Wed Feb 22 21:57:42 2006 +0000

    Manpage trac typo fixed. Make hitting kill harder in default window menu.

commit 87ec7d2358981c84d6f1678fb974081635b95794
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Feb 22 21:50:15 2006 +0000

    Typo fixed in default theme.

commit bbf5a368649c5782dd41f34292223728614db3ab
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Feb 22 21:33:48 2006 +0000

    Reorganize subversion archive

commit 40f502e9815fc0586b7cbec502e9fbcf3e3ca8b1
Author: Claes Nästén <me@pekdon.net>
Date:   Wed Feb 22 21:32:35 2006 +0000

    Reorganize subversion archive
